/***************************************************************
 * Name:      dxdefs.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef DXDEFS_H
#define DXDEFS_H

#include <new>
#include <map>
#include <wx/defs.h>

#define OBDOBI_MIN 2005 //Od roku 2005 je u nas zavedena danova evidence

enum
{
    //dxdeFrame
    ID_MENU_FIRMA_EDIT = wxID_HIGHEST+1,
    ID_MENU_FIRMA_ADD,
    ID_MENU_FIRMA_DELETE,
    ID_MENU_FIRMA_CHANGE,
    ID_MENU_OBDOBI_ADD,
    ID_MENU_OBDOBI_CHANGE,
    ID_MENU_OBDOBI_DELETE,
    ID_MENU_ADRESAR,
    ID_MENU_ZALOHA,
    ID_MENU_OBNOVA,
    ID_MENU_DENIK,
    ID_MENU_PREDKONTACE,
    ID_MENU_STAVPOKLADENBANK,
    ID_MENU_POKLADNA,
    ID_MENU_BANKA,
    ID_MENU_VYSTAVENA,
    ID_MENU_PRIJATA,
    ID_MENU_POHLEDAVKA,
    ID_MENU_ZAVAZEK,
    ID_MENU_MAJETEK,
    ID_MENU_SKLAD,
    ID_MENU_INVETURY,
    ID_MENU_FAUHRADY,
    ID_MENU_DATUM,
    ID_MENU_ODESLANE,
    ID_MENU_TEMPLATEEDITOR,
    ID_MENU_DPHDRUH,
    ID_MENU_DPHPRIZNANI,
    ID_MENU_DPHKH,
    ID_MENU_DPHSH,
    ID_MENU_DPHSEZNAM,
    ID_MENU_ULOZENE,
    ID_MENU_DPPV,
    ID_MENU_DPMZ,
    ID_MENU_EETTRZBY,
    ID_MENU_VERSION,
    ID_MENU_JIZDY,
    ID_NAVIGATIONTREE,
    //DbModel
    ID_MODEL_ALL,
    ID_MODEL_POKLADNA,
    ID_MODEL_BANKA,
    ID_MODEL_VYDANA,
    ID_MODEL_PRIJATA,
    ID_MODEL_ZAVAZEK,
    ID_MODEL_POHLEDAVKA,
    ID_MODEL_MAJETEK,
    ID_MODEL_ZASOBA,
    ID_MODEL_JIZDA,
    //FirmaDialog
    ID_FIRMA_LOGO,
    ID_FIRMA_RAZITKO,
    //KontaktyDialog
    ID_KONTAKTY_ADD,
    ID_KONTAKTY_EDIT,
    ID_KONTAKTY_COPY,
    ID_KONTAKTY_DELETE,
    ID_KONTAKTY_LIST,
    //DenikPage
    ID_PAGE_DENIK_PRIJEM,
    ID_PAGE_DENIK_VYDAJ,
    ID_PAGE_DENIK_EDIT,
    ID_PAGE_DENIK_COPY,
    ID_PAGE_DENIK_DELETE,
    ID_PAGE_DENIK_PRINT,
    ID_PAGE_DENIK_EXPORT,
    ID_PAGE_DENIK_LIST,
    ID_PAGE_DENIK_PRINTDOKLAD,
    ID_PAGE_DENIK_UHRADA,
    ID_PAGE_DENIK_FILTER,
    ID_PAGE_DENIK_FILTERCLEAR,
    //PredkontacesDialog
    ID_PREDKONTACES_LIST,
    ID_PREDKONTACES_ADD,
    ID_PREDKONTACES_EDIT,
    ID_PREDKONTACES_COPY,
    ID_PREDKONTACES_DELETE,
    //PredkontaceDialog
    ID_PREDKONTACE_CHECK,
    //FauhradyDialog
    ID_FAUHRADY_LIST,
    ID_FAUHRADY_ADD,
    ID_FAUHRADY_DELETE,
    //BankaDialog
    ID_BANKA_KOD,
    ID_BANKA_IBAN,
    //BankyDialog
    ID_BANKY_LIST,
    ID_BANKY_ADD,
    ID_BANKY_EDIT,
    ID_BANKY_DELETE,
    //PokladnyDialog
    ID_POKLADNY_LIST,
    ID_POKLADNY_ADD,
    ID_POKLADNY_EDIT,
    ID_POKLADNY_DELETE,
    //PrijemVydejDialog
    ID_PRIJEMVYDEJ_BANKAPOKLADNA_SELECT,
    ID_PRIJEMVYDEJ_BANKAPOKLADNA_CHOICE,
    ID_PRIJEMVYDEJ_PREDKONTACE_SELECT,
    ID_PRIJEMVYDEJ_PROTISTRANA_SELECT,
    ID_PRIJEMVYDEJ_MENA_CHOICE,
    ID_PRIJEMVYDEJ_KURZ_TEXT,
    ID_PRIJEMVYDEJ_KURZ_DOWNLOAD,
    ID_PRIJEMVYDEJ_DATUMCTRL,
    ID_PRIJEMVYDEJ_CASTKA_TEXT,
    ID_PRIJEMVYDEJ_CASTKACIZI_TEXT,
    ID_PRIJEMVYDEJ_PAUSAL_ADD,
    //UhradaDialog
    ID_UHRADA_BANKAPOKLADNA_SELECT,
    ID_UHRADA_BANKAPOKLADNA_CHOICE,
    ID_UHRADA_KURZ_SPIN,
    ID_UHRADA_KURZ_DOWNLOAD,
    ID_UHRADA_DATUMCTRL,
    ID_UHRADA_CASTKA_SPIN,
    ID_UHRADA_CASTKACIZI_SPIN,
    //RadaDialog
    ID_RADA_PREFIX,
    ID_RADA_CISLO,
    //PredvolbyDialog
    ID_PREDVOLBY_RADY_LIST,
    ID_PREDVOLBY_RADY_EDIT,
    ID_PREDVOLBY_EET_CERT,
    ID_PREDVOLBY_EET_TEST,
    //PolozkaDialog
    ID_POLOZKA_POCET,
    ID_POLOZKA_CENAMJ,
    ID_POLOZKA_BEZDPH,
    ID_POLOZKA_SAZBA,
    //FakturaDialog
    ID_FAKTURA_UHRADA,
    ID_FAKTURA_UHRADA_ADD,
    ID_FAKTURA_BANKAPOKLADNA_SELECT,
    ID_FAKTURA_PREDKONTACE_SELECT,
    ID_FAKTURA_DPHDRUH_SELECT,
    ID_FAKTURA_VYSTAVENI,
    ID_FAKTURA_DUZP,
    ID_FAKTURA_DPPD,
    ID_FAKTURA_KONTAKT_SELECT,
    ID_FAKTURA_KONTAKT_CLEAR,
    ID_FAKTURA_POLOZKY,
    ID_FAKTURA_POLOZKY_ADD,
    ID_FAKTURA_POLOZKY_EDIT,
    ID_FAKTURA_POLOZKY_DELETE,
    ID_FAKTURA_POLOZKY_ZASOBA,
    ID_FAKTURA_MENA,
    ID_FAKTURA_KURZ,
    ID_FAKTURA_KURZ_DOWNLOAD,
    ID_FAKTURA_PAUSAL_ADD,
    ID_FAKTURA_EET,
    ID_FAKTURA_ZAOKROUHLENI,
    //ZavpohDialog
    ID_ZAVPOH_UHRADA,
    ID_ZAVPOH_UHRADA_ADD,
    ID_ZAVPOH_BANKAPOKLADNA_SELECT,
    ID_ZAVPOH_PREDKONTACE_SELECT,
    ID_ZAVPOH_DPHDRUH_SELECT,
    ID_ZAVPOH_VYSTAVENI,
    ID_ZAVPOH_DUZP,
    ID_ZAVPOH_DPPD,
    ID_ZAVPOH_KONTAKT_SELECT,
    ID_ZAVPOH_KONTAKT_CLEAR,
    ID_ZAVPOH_POLOZKY,
    ID_ZAVPOH_POLOZKY_ADD,
    ID_ZAVPOH_POLOZKY_EDIT,
    ID_ZAVPOH_POLOZKY_DELETE,
    ID_ZAVPOH_MENA,
    ID_ZAVPOH_KURZ,
    ID_ZAVPOH_KURZ_DOWNLOAD,
    ID_ZAVPOH_PAUSAL_ADD,
    ID_ZAVPOH_EET,
    ID_ZAVPOH_ZAOKROUHLENI,
    //MajetekDialog
    ID_MAJETEK_TYP,
    ID_MAJETEK_ODPISY,
    ID_MAJETEK_VYRADIT,
    //OdeslaneDialog
    ID_ODESLANE_LIST,
    ID_ODESLANE_EXPORT,
    //DphDruhyDialog
    ID_DPHDRUHY_LIST,
    ID_DPHDRUHY_ENABLE,
    ID_DPHDRUHY_FILTER,
    ID_DPHDRUHY_FILTERCLEAR,
    //SeznamDphDialog
    ID_SEZNAMDPH_MESIC,
    ID_SEZNAMDPH_CTVRTLETI,
    ID_SEZNAMDPH_ODDO,
    ID_SEZNAMDPH_OD,
    ID_SEZNAMDPH_DO,
    ID_SEZNAMDPH_PRINT,
    ID_SEZNAMDPH_EXPORT,
    //PriznaniDialog
    ID_PRIZNANI_PSC,
    ID_PRIZNANI_CUFO,
    ID_PRIZNANI_COKEC,
    ID_PRIZNANI_ZAST_TYP,
    //OkecDialog
    ID_OKEC_LIST,
    ID_OKEC_SEARCH,
    //SkladyDialog
    ID_SKLADY_LIST,
    ID_SKLADY_ADD,
    ID_SKLADY_EDIT,
    ID_SKLADY_DELETE,
    //ZasobaDialog
    ID_ZASOBA_SKLAD,
    ID_ZASOBA_POHYB_ADD,
    ID_ZASOBA_POHYB_EDIT,
    ID_ZASOBA_POHYB_DELETE,
    ID_ZASOBA_POHYBY,
    ID_ZASOBA_OCENOVANI,
    ID_ZASOBA_MJ,
    //ZasobyDialog
    ID_ZASOBY_TREE,
    //PohybzasobDialog
    ID_POHYBZASOB_DATUM,
    //InventuraDialog
    ID_INVENTURA_SKLAD,
    ID_INVENTURA_DATUM,
    ID_INVENTURA_CAS,
    //InventuryDialog
    ID_INVENTURY_LIST,
    ID_INVENTURY_ADD,
    ID_INVENTURY_EDIT,
    ID_INVENTURY_DELETE,
    ID_INVENTURY_PRINTDOKLAD,
    ID_INVENTURY_PRINT,
    ID_INVENTURY_EXPORT,
    //EetrzbaDialog
    ID_EETTRZBA_SEND,
    ID_EETTRZBA_LATER,
    //EettrzbyDialog
    ID_EETTRZBY_LIST,
    ID_EETTRZBY_EXPORT,
    ID_EETTRZBY_NEODESLANE,
    ID_EETTRZBY_FROMTO,
    ID_EETTRZBY_SEND,
    ID_EETTRZBY_PRINTDOKLAD,
    //VozidlaDialog
    ID_VOZIDLA_LIST,
    ID_VOZIDLA_ADD,
    ID_VOZIDLA_EDIT,
    ID_VOZIDLA_COPY,
    ID_VOZIDLA_DELETE,
    //JizdaDialog
    ID_JIZDA_STARTDATE,
    ID_JIZDA_STARTTIME,
    ID_JIZDA_ENDDATE,
    ID_JIZDA_ENDTIME,
    ID_JIZDA_STARTKM,
    ID_JIZDA_ENDKM,
    ID_JIZDA_CESTA,
    ID_JIZDA_UCEL,
    ID_JIZDA_VOZIDLO,
    //PokladnaPage
    ID_PAGE_POKLADNA_PRIJEM,
    ID_PAGE_POKLADNA_VYDAJ,
    ID_PAGE_POKLADNA_EDIT,
    ID_PAGE_POKLADNA_COPY,
    ID_PAGE_POKLADNA_DELETE,
    ID_PAGE_POKLADNA_PRINT,
    ID_PAGE_POKLADNA_EXPORT,
    ID_PAGE_POKLADNA_SEZNAM,
    ID_PAGE_POKLADNA_LIST,
    ID_PAGE_POKLADNA_PRINTDOKLAD,
    ID_PAGE_POKLADNA_UHRADA,
    ID_PAGE_POKLADNA_FILTER,
    ID_PAGE_POKLADNA_FILTERCLEAR,
    //BankaPage
    ID_PAGE_BANKA_PRIJEM,
    ID_PAGE_BANKA_VYDAJ,
    ID_PAGE_BANKA_EDIT,
    ID_PAGE_BANKA_COPY,
    ID_PAGE_BANKA_DELETE,
    ID_PAGE_BANKA_PRINT,
    ID_PAGE_BANKA_EXPORT,
    ID_PAGE_BANKA_SEZNAM,
    ID_PAGE_BANKA_LIST,
    ID_PAGE_BANKA_PRINTDOKLAD,
    ID_PAGE_BANKA_UHRADA,
    ID_PAGE_BANKA_FILTER,
    ID_PAGE_BANKA_FILTERCLEAR,
    //VydanaPage
    ID_PAGE_VYDANA_ADD,
    ID_PAGE_VYDANA_EDIT,
    ID_PAGE_VYDANA_COPY,
    ID_PAGE_VYDANA_DELETE,
    ID_PAGE_VYDANA_UHRADA,
    ID_PAGE_VYDANA_PRINT,
    ID_PAGE_VYDANA_EXPORT,
    ID_PAGE_VYDANA_LIST,
    ID_PAGE_VYDANA_FAPRINT,
    ID_PAGE_VYDANA_FAEMAIL,
    ID_PAGE_VYDANA_FAPDF,
    ID_PAGE_VYDANA_UHRADY,
    ID_PAGE_VYDANA_FILTER,
    ID_PAGE_VYDANA_FILTERCLEAR,
    //PrijataPage
    ID_PAGE_PRIJATA_ADD,
    ID_PAGE_PRIJATA_EDIT,
    ID_PAGE_PRIJATA_COPY,
    ID_PAGE_PRIJATA_DELETE,
    ID_PAGE_PRIJATA_UHRADA,
    ID_PAGE_PRIJATA_PRINT,
    ID_PAGE_PRIJATA_EXPORT,
    ID_PAGE_PRIJATA_LIST,
    ID_PAGE_PRIJATA_FAPRINT,
    ID_PAGE_PRIJATA_UHRADY,
    ID_PAGE_PRIJATA_FILTER,
    ID_PAGE_PRIJATA_FILTERCLEAR,
    //PohledavkaPage
    ID_PAGE_POHLEDAVKA_ADD,
    ID_PAGE_POHLEDAVKA_EDIT,
    ID_PAGE_POHLEDAVKA_COPY,
    ID_PAGE_POHLEDAVKA_DELETE,
    ID_PAGE_POHLEDAVKA_UHRADA,
    ID_PAGE_POHLEDAVKA_PRINT,
    ID_PAGE_POHLEDAVKA_EXPORT,
    ID_PAGE_POHLEDAVKA_LIST,
    ID_PAGE_POHLEDAVKA_POPRINT,
    ID_PAGE_POHLEDAVKA_UHRADY,
    ID_PAGE_POHLEDAVKA_FILTER,
    ID_PAGE_POHLEDAVKA_FILTERCLEAR,
    //ZavazekPage
    ID_PAGE_ZAVAZEK_ADD,
    ID_PAGE_ZAVAZEK_EDIT,
    ID_PAGE_ZAVAZEK_COPY,
    ID_PAGE_ZAVAZEK_DELETE,
    ID_PAGE_ZAVAZEK_UHRADA,
    ID_PAGE_ZAVAZEK_PRINT,
    ID_PAGE_ZAVAZEK_EXPORT,
    ID_PAGE_ZAVAZEK_LIST,
    ID_PAGE_ZAVAZEK_ZAPRINT,
    ID_PAGE_ZAVAZEK_UHRADY,
    ID_PAGE_ZAVAZEK_FILTER,
    ID_PAGE_ZAVAZEK_FILTERCLEAR,
    //MajetekPage
    ID_PAGE_MAJETEK_ADD,
    ID_PAGE_MAJETEK_EDIT,
    ID_PAGE_MAJETEK_COPY,
    ID_PAGE_MAJETEK_DELETE,
    ID_PAGE_MAJETEK_ODPISY,
    ID_PAGE_MAJETEK_PRINT,
    ID_PAGE_MAJETEK_EXPORT,
    ID_PAGE_MAJETEK_LIST,
    ID_PAGE_MAJETEK_MAPRINT,
    ID_PAGE_MAJETEK_FILTER,
    ID_PAGE_MAJETEK_FILTERCLEAR,
    //SkladPage
    ID_PAGE_SKLAD_PRIJEM,
    ID_PAGE_SKLAD_VYDAJ,
    ID_PAGE_SKLAD_ADD,
    ID_PAGE_SKLAD_EDIT,
    ID_PAGE_SKLAD_COPY,
    ID_PAGE_SKLAD_DELETE,
    ID_PAGE_SKLAD_INVENTURA,
    ID_PAGE_SKLAD_PRINT,
    ID_PAGE_SKLAD_EXPORT,
    ID_PAGE_SKLAD_LIST,
    ID_PAGE_SKLAD_ZAPRINT,
    ID_PAGE_SKLAD_SEZNAM,
    ID_PAGE_SKLAD_FILTER,
    ID_PAGE_SKLAD_FILTERCLEAR,
    //JizdaPage
    ID_PAGE_JIZDA_ADD,
    ID_PAGE_JIZDA_EDIT,
    ID_PAGE_JIZDA_COPY,
    ID_PAGE_JIZDA_DELETE,
    ID_PAGE_JIZDA_PRINT,
    ID_PAGE_JIZDA_EXPORT,
    ID_PAGE_JIZDA_LIST,
    ID_PAGE_JIZDA_JAPRINT,
    ID_PAGE_JIZDA_SEZNAM,
    ID_PAGE_JIZDA_NAHRADA,
    ID_PAGE_JIZDA_FILTER,
    ID_PAGE_JIZDA_FILTERCLEAR,
    //TemplateEditor
    ID_TEMPLATEEDITOR_LIST,
    ID_TEMPLATEEDITOR_ADD,
    ID_TEMPLATEEDITOR_EDIT,
    ID_TEMPLATEEDITOR_COPY,
    ID_TEMPLATEEDITOR_DELETE,
    ID_TEMPLATEEDITOR_DOCUMENT,
    //DokumentDialog
    ID_DOKUMENT_FOOTER,
    ID_DOKUMENT_STYLE,
    ID_DOKUMENT_FONTCOLOR,
    ID_DOKUMENT_BACKCOLOR,
    //LineDialog
    ID_LINE_STYLE,
    ID_LINE_COLOR,
    ID_LINE_WIDTH,
    ID_LINE_SECTION,
    ID_LINE_ANCHOR,
    ID_LINE_BORDERTOP,
    ID_LINE_BORDERBOTTOM,
    //RectDialog
    ID_RECT_STYLE,
    ID_RECT_COLOR,
    ID_RECT_WIDTH,
    ID_RECT_SECTION,
    ID_RECT_FILLET,
    //TextDialog
    ID_TEXT_ALIGNMENT,
    ID_TEXT_FONT,
    ID_TEXT_FONTCOLOR,
    ID_TEXT_BACKCOLOR,
    ID_TEXT_TEXT,
    ID_TEXT_WIDTH,
    ID_TEXT_KEYWORD,
    ID_TEXT_FORCESPACE,
    //ImageDialog
    ID_IMAGE_ALIGNMENT,
    ID_IMAGE_PATH,
    //ParagraphDialog
    ID_PARAGRAPH_ALIGNMENT,
    ID_PARAGRAPH_FONT,
    ID_PARAGRAPH_FONTCOLOR,
    ID_PARAGRAPH_BACKCOLOR,
    ID_PARAGRAPH_TEXT,
    ID_PARAGRAPH_WIDTH,
    ID_PARAGRAPH_BORDER,
    ID_PARAGRAPH_BORDERSTYLE,
    ID_PARAGRAPH_BORDERWIDTH,
    ID_PARAGRAPH_BORDERCOLOR,
    ID_PARAGRAPH_KEYWORD,
    //RowDialog
    ID_ROW_LIST,
    ID_ROW_ADD,
    ID_ROW_EDIT,
    ID_ROW_COPY,
    ID_ROW_DELETE,
    ID_ROW_FONT,
    ID_ROW_FONTCOLOR,
    ID_ROW_BACKCOLOR,
    ID_ROW_BORDER,
    ID_ROW_BORDERSTYLE,
    ID_ROW_BORDERWIDTH,
    ID_ROW_BORDERCOLOR,
    ID_ROW_KEYWORD,
    //Dphdp3Wizard
    ID_DPHDP3_PAGE1_PRIZNANI,
    ID_DPHDP3_PAGE2_MESIC,
    ID_DPHDP3_PAGE2_MESICSELECT,
    ID_DPHDP3_PAGE2_CTVRTLETI,
    ID_DPHDP3_PAGE2_CTVRTLETISELECT,
    ID_DPHDP3_PAGE2_ODDO,
    ID_DPHDP3_PAGE2_OD,
    ID_DPHDP3_PAGE2_DO,
    ID_DPHDP3_PAGE2_KOEF,
    ID_DPHDP3_PAGE3_RADNE,
    ID_DPHDP3_PAGE3_RADNEOPRAVNE,
    ID_DPHDP3_PAGE3_DODATECNE,
    ID_DPHDP3_PAGE3_DODATECNEOPRAVNE,
    ID_DPHDP3_PRINT,
    ID_DPHDP3_EXPORT,
    //DphshWizard
    ID_DPHSH_PAGE1_PRIZNANI,
    ID_DPHSH_PAGE1_MESIC,
    ID_DPHSH_PAGE1_CTVRTLETI,
    ID_DPHSH_PAGE2_RADNE,
    ID_DPHSH_PAGE2_NASLEDNE,
    ID_DPHSH_PAGE3_ADD,
    ID_DPHSH_PAGE3_EDIT,
    ID_DPHSH_PAGE3_DELETE,
    ID_DPHSH_PAGE3_LIST,
    ID_DPHSH_PAGE3_RELOAD,
    ID_DPHSH_PRINT,
    ID_DPHSH_EXPORT,
    //Dphkh1Wizard
    ID_DPHKH1_PAGE1_PRIZNANI,
    ID_DPHKH1_PAGE2_MESIC,
    ID_DPHKH1_PAGE2_CTVRTLETI,
    ID_DPHKH1_PAGE2_ODDO,
    ID_DPHKH1_PAGE2_OD,
    ID_DPHKH1_PAGE2_DO,
    ID_DPHKH1_PAGE3_VYZVA,
    ID_DPHKH1_PAGE3_RYCHLA,
    ID_DPHKH1_PAGE3_VYZVAODP,
    ID_DPHKH1_PAGEA1_ADD,
    ID_DPHKH1_PAGEA1_EDIT,
    ID_DPHKH1_PAGEA1_DELETE,
    ID_DPHKH1_PAGEA1_LIST,
    ID_DPHKH1_PAGEA1_RELOAD,
    ID_DPHKH1_PAGEA2_ADD,
    ID_DPHKH1_PAGEA2_EDIT,
    ID_DPHKH1_PAGEA2_DELETE,
    ID_DPHKH1_PAGEA2_LIST,
    ID_DPHKH1_PAGEA2_RELOAD,
    ID_DPHKH1_PAGEA3_ADD,
    ID_DPHKH1_PAGEA3_EDIT,
    ID_DPHKH1_PAGEA3_DELETE,
    ID_DPHKH1_PAGEA3_LIST,
    ID_DPHKH1_PAGEA3_RELOAD,
    ID_DPHKH1_PAGEA4_ADD,
    ID_DPHKH1_PAGEA4_EDIT,
    ID_DPHKH1_PAGEA4_DELETE,
    ID_DPHKH1_PAGEA4_LIST,
    ID_DPHKH1_PAGEA4_RELOAD,
    ID_DPHKH1_PAGEA5_ZAKLAD1,
    ID_DPHKH1_PAGEA5_ZAKLAD2,
    ID_DPHKH1_PAGEA5_ZAKLAD3,
    ID_DPHKH1_PAGEA5_RELOAD,
    ID_DPHKH1_PAGEB1_ADD,
    ID_DPHKH1_PAGEB1_EDIT,
    ID_DPHKH1_PAGEB1_DELETE,
    ID_DPHKH1_PAGEB1_LIST,
    ID_DPHKH1_PAGEB1_RELOAD,
    ID_DPHKH1_PAGEB2_ADD,
    ID_DPHKH1_PAGEB2_EDIT,
    ID_DPHKH1_PAGEB2_DELETE,
    ID_DPHKH1_PAGEB2_LIST,
    ID_DPHKH1_PAGEB2_RELOAD,
    ID_DPHKH1_PAGEB3_ZAKLAD1,
    ID_DPHKH1_PAGEB3_ZAKLAD2,
    ID_DPHKH1_PAGEB3_ZAKLAD3,
    ID_DPHKH1_PAGEB3_RELOAD,
    ID_DPHKH1_PRINT,
    ID_DPHKH1_EXPORT,
    //Dphkh1Vetaa2Dialog
    ID_DPHKH1VETAA2_ZAKLAD1,
    ID_DPHKH1VETAA2_ZAKLAD2,
    ID_DPHKH1VETAA2_ZAKLAD3,
    //Dphkh1Vetaa3Dialog
    ID_DPHKH1VETAA3_DIC,
    ID_DPHKH1VETAA3_FYZICKA,
    //Dphkh1Vetaa4Dialog
    ID_DPHKH1VETAA4_ZAKLAD1,
    ID_DPHKH1VETAA4_ZAKLAD2,
    ID_DPHKH1VETAA4_ZAKLAD3,
    //Dphkh1Vetab1Dialog
    ID_DPHKH1VETAB1_ZAKLAD1,
    ID_DPHKH1VETAB1_ZAKLAD2,
    ID_DPHKH1VETAB1_ZAKLAD3,
    //Dphkh1Vetab2Dialog
    ID_DPHKH1VETAB2_ZAKLAD1,
    ID_DPHKH1VETAB2_ZAKLAD2,
    ID_DPHKH1VETAB2_ZAKLAD3,
    //PrijmyVydajeDialog
    ID_PRIJMYVYDAJE_PRINT,
    //MajetekZavazkyDialog
    ID_MAJETEKZAVAZKY_PRINT,
    ID_MAJETEKZAVAZKY_RELOAD,
    ID_MAJETEKZAVAZKY_ROK,
    //UlozeneDialog
    ID_ULOZENE_LIST,
    ID_ULOZENE_PREVIEW,
    ID_ULOZENE_SAVEAS,
    ID_ULOZENE_DELETE,
    //UhradyDialog
    ID_UHRADY_LIST,
    //FaPage
    ID_PAGE_FA_LIST,
    //ZavpohPage
    ID_PAGE_ZP_LIST,
    //NahradaDialog
    ID_NAHRADA_VOZIK
};

enum DBMODEL
{
    DB_SQLITE,
    DB_MAX
};

enum NAVIGATION
{
    NAV_NULL, //navagation treeitem nema panel k zobrazeni
    NAV_HOME,
    NAV_DENIK,
    NAV_POKLADNA,
    NAV_BANKA,
    NAV_VYDANA,
    NAV_PRIJATA,
    NAV_POHLEDAVKA,
    NAV_ZAVAZEK,
    NAV_MAJETEK,
    NAV_SKLAD,
    NAV_JIZDA
};

typedef std::map<wxString,wxString> dxStringMap;
typedef std::pair<wxString,wxString> dxStringPair;
typedef std::map<wxString,wxString>::iterator dxStringIt;

#if defined (__WXMAC__) || defined (__WXOSX__)
    #define FACENAME wxString("Lucida Grande")
#elif defined (__WXMSW__)
    #define FACENAME wxString("Arial")
#else
    #define FACENAME wxString("Sans")
#endif

#endif // DXDEFS_H
