/***************************************************************
 * Name:      bankadialog.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef BANKADIALOG_H
#define BANKADIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include "model/dbmodel.h"

class BankaDialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(BankaDialog)
    DECLARE_EVENT_TABLE()
public:
    BankaDialog() : m_id(-1), m_edit(false), m_mainSizer(nullptr), m_zkratka(nullptr), m_popis(nullptr),
    m_cislo(nullptr), m_kod(nullptr), m_mena(nullptr) {}
    BankaDialog(wxWindow *parent, int id, bool edit);
private:
    int m_id;
    bool m_edit;
    wxBoxSizer *m_mainSizer;
    wxTextCtrl *m_zkratka;
    wxTextCtrl *m_popis;
    wxTextCtrl *m_cislo;
    wxTextCtrl *m_kod;
    wxChoice *m_mena;
    wxTextCtrl *m_iban;
    wxTextCtrl *m_bic;
    wxButton *m_kodSelect;
    wxBitmapButton *m_ibanCalc;

    void createControls();
    void fillControls();
    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
    bool zkratkaExists();
    void OnKodSelect(wxCommandEvent& event);
    void OnIbanCalc(wxCommandEvent& event);
};

#endif  /* BANKADIALOG_H */

