/***************************************************************
 * Name:      bankydialog.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef BANKYDIALOG_H
#define BANKYDIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/listctrl.h>
#include "model/dbmodel.h"
#include "gui/widgets/dxtoolbar.h"

class BankyDialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(BankyDialog)
    DECLARE_EVENT_TABLE()
public:
    BankyDialog() : m_select(false), m_mainSizer(nullptr), m_list(nullptr), m_bar(nullptr), m_selectedId(-1) {}
    BankyDialog(wxWindow *parent, bool select = false);

    long selectedID() const;
private:
    bool m_select;
    wxBoxSizer *m_mainSizer;
    wxListCtrl *m_list;
    dxToolBar *m_bar;
    long m_selectedId;
    dxBankaArray m_banky;

    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
    void OnItemRightClick(wxListEvent& event);
    void OnItemActivated(wxListEvent& event);
    void OnItemSelected(wxListEvent& event);
    void OnItemDeselected(wxListEvent& event);
    void OnEditBanka(wxCommandEvent& event);
    void OnAddBanka(wxCommandEvent& event);
    void OnDeleteBanka(wxCommandEvent& event);
    void setSelectedId(long selectedIndex);
    void fillList();
    void enableTools();
};

#endif  /* BANKYDIALOG_H */

