/***************************************************************
 * Name:      fauhradydialog.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef FAUHRADYDIALOG_H
#define FAUHRADYDIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/listctrl.h>
#include <wx/imaglist.h>
#include "model/dbmodel.h"
#include "gui/widgets/dxtoolbar.h"

class FauhradyDialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(FauhradyDialog)
    DECLARE_EVENT_TABLE()
public:
    FauhradyDialog() : m_mainSizer(nullptr), m_list(nullptr), m_bar(nullptr), m_selectedId(-1) {}
    explicit FauhradyDialog(wxWindow *parent);

    long selectedID() const;
private:
    wxBoxSizer *m_mainSizer;
    wxListCtrl *m_list;
    wxScopedPtr<wxImageList> m_imageList;
    dxToolBar *m_bar;
    long m_selectedId;

    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
    void OnItemRightClick(wxListEvent& event);
    void OnItemActivated(wxListEvent& event);
    void OnItemSelected(wxListEvent& event);
    void OnItemDeselected(wxListEvent& event);
    void OnAddFauhrada(wxCommandEvent& event);
    void OnDeleteFauhrada(wxCommandEvent& event);
    void setSelectedId(long selectedIndex);
    void fillList();
    void enableTools();
};

#endif  /* FAUHRADYDIALOG_H */

