/***************************************************************
 * Name:      inventuradialog.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2016
 * License:   GPL3
 **************************************************************/

#ifndef INVENTURADIALOG_H
#define INVENTURADIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/datectrl.h>
#include <wx/dateevt.h>
#include <wx/timectrl.h>
#include <wx/grid.h>
#include "model/dbmodel.h"

class InventuraDialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(InventuraDialog)
    DECLARE_EVENT_TABLE()
public:
    InventuraDialog() : m_id(-1), m_edit(false), m_mainSizer(nullptr), m_provedl(nullptr), m_popis(nullptr), m_cislo(nullptr),
    m_sklad(nullptr), m_datum(nullptr), m_time(nullptr), m_table(nullptr) {}
    //Nova inventura
    explicit InventuraDialog(wxWindow *parent);
    //Editace inventury
    InventuraDialog(wxWindow *parent, int id, bool edit);
private:
    int m_id;
    bool m_edit;
    wxBoxSizer *m_mainSizer;
    wxTextCtrl *m_provedl;
    wxTextCtrl *m_popis;
    wxTextCtrl *m_cislo;
    wxChoice *m_sklad;
    wxDatePickerCtrl *m_datum;
    wxTimePickerCtrl *m_time;
    wxGrid *m_table;

    void createControls();
    void fillControls();
    void fillTable();
    wxDateTime getDatum() const;
    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
    void OnSklad(wxCommandEvent& event);
    void OnDatum(wxDateEvent& event);
    void OnCas(wxDateEvent& event);
};

#endif  /* INVENTURADIALOG_H */

