/***************************************************************
 * Name:      inventurydialog.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2016
 * License:   GPL3
 **************************************************************/

#ifndef INVENTURYDIALOG_H
#define INVENTURYDIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/listctrl.h>
#include "model/dbmodel.h"
#include "gui/widgets/dxtoolbar.h"

class InventuryDialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(InventuryDialog)
    DECLARE_EVENT_TABLE()
public:
    InventuryDialog() : m_mainSizer(nullptr), m_list(nullptr), m_bar(nullptr), m_selectedId(-1) {}
    explicit InventuryDialog(wxWindow *parent);
private:
    wxBoxSizer *m_mainSizer;
    wxListCtrl *m_list;
    dxToolBar *m_bar;
    long m_selectedId;
    dxInventuraArray m_inventury;

    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
    void OnItemRightClick(wxListEvent& event);
    void OnItemActivated(wxListEvent& event);
    void OnItemSelected(wxListEvent& event);
    void OnItemDeselected(wxListEvent& event);
    void OnEditInventura(wxCommandEvent& event);
    void OnAddInventura(wxCommandEvent& event);
    void OnDeleteInventura(wxCommandEvent& event);
    void OnPrintInventura(wxCommandEvent& event);
    void OnPrintInventury(wxCommandEvent& event);
    void OnExportInventury(wxCommandEvent& event);
    void setSelectedId(long selectedIndex);
    void fillList();
    void enableTools();
};

#endif  /* INVENTURYDIALOG_H */

