/***************************************************************
 * Name:      kontaktydialog.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef KONTAKTYDIALOG_H
#define KONTAKTYDIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/listctrl.h>
#include "model/dbmodel.h"
#include "gui/widgets/dxtoolbar.h"

class KontaktyDialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(KontaktyDialog)
    DECLARE_EVENT_TABLE()
public:
    KontaktyDialog() : m_select(false), m_mainSizer(nullptr), m_list(nullptr), m_bar(nullptr), m_selectedId(-1) {}
    KontaktyDialog(wxWindow *parent, bool select = false);

    long selectedID() const;
private:
    bool m_select;
    wxBoxSizer *m_mainSizer;
    wxListCtrl *m_list;
    dxToolBar *m_bar;
    long m_selectedId;
    dxKontaktViewArray m_kontakty;

    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
    void OnItemRightClick(wxListEvent &event);
    void OnItemActivated(wxListEvent &event);
    void OnItemSelected(wxListEvent &event);
    void OnItemDeselected(wxListEvent& event);
    void OnEditKontakt(wxCommandEvent& event);
    void OnAddKontakt(wxCommandEvent& event);
    void OnCopyKontakt(wxCommandEvent& event);
    void OnDeleteKontakt(wxCommandEvent& event);
    void setSelectedId(long selectedIndex);
    void fillList();
    void enableTools();
};

#endif  /* KONTAKTYDIALOG_H */

