/***************************************************************
 * Name:      majetekdialog.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef MAJETEKDIALOG_H
#define MAJETEKDIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/datectrl.h>
#include "model/dbmodel.h"

class MajetekDialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(MajetekDialog)
    DECLARE_EVENT_TABLE()
public:
    MajetekDialog() : m_id(-1), m_edit(0), m_mainSizer(nullptr), m_nazev(nullptr), m_popis(nullptr), m_cislo(nullptr),
    m_typ(nullptr), m_odpisy(nullptr), m_skupinaLabel(nullptr), m_skupina(nullptr), m_porizen(nullptr), m_cenaValue(0.0),
    m_cena(nullptr), m_datumvyrazeniLabel(nullptr), m_datumvyrazeni(nullptr), m_vyrazen(false), m_vyradit(nullptr) {}
    //Novy majetek
    explicit MajetekDialog(wxWindow *parent);
    //Editace majetku
    MajetekDialog(wxWindow *parent, int id, int edit = 1);
private:
    int m_id;
    /* 0 - novy, 1 - editace, 2 - kopie */
    int m_edit;
    wxBoxSizer *m_mainSizer;
    wxTextCtrl *m_nazev;
    wxTextCtrl *m_popis;
    wxTextCtrl *m_cislo;
    wxChoice *m_typ;
    wxChoice *m_odpisy;
    wxStaticText *m_skupinaLabel;
    wxChoice *m_skupina;
    wxDatePickerCtrl *m_porizen;
    double m_cenaValue;
    wxTextCtrl *m_cena;
    wxStaticText *m_datumvyrazeniLabel;
    wxDatePickerCtrl *m_datumvyrazeni;
    bool m_vyrazen;
    wxButton *m_vyradit;

    void createControls();
    void fillControls();
    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
    void OnTyp(wxCommandEvent& event);
    void OnOdpisy(wxCommandEvent& event);
    void OnVyradit(wxCommandEvent& event);
};

#endif  /* MAJETEKDIALOG_H */

