/***************************************************************
 * Name:      nahradadialog.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2018
 * License:   GPL3
 **************************************************************/

#ifndef NAHRADADIALOG_H
#define NAHRADADIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/spinctrl.h>
#include "model/dbmodel.h"

class NahradaDialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(NahradaDialog)
    DECLARE_EVENT_TABLE()
public:
    NahradaDialog() : m_mainSizer(nullptr), m_vozik(nullptr), m_cenakm(nullptr), m_cenaphm(nullptr), m_nahradaKm(0.0), m_nahradaPalivo(0.0), m_calculate(nullptr),
                      m_nahradaZaKm(nullptr), m_nahradaZaPalivo(nullptr), m_print(nullptr) {}
    NahradaDialog(wxWindow *parent, const Jizda &jizda);
private:
    Jizda m_jizda;
    Vozidlo m_vozidlo;
    wxBoxSizer *m_mainSizer;
    wxCheckBox *m_vozik;
    wxSpinCtrlDouble *m_cenakm;
    wxSpinCtrlDouble *m_cenaphm;
    double m_nahradaKm;
    double m_nahradaPalivo;
    wxButton *m_calculate;
    wxStaticText *m_nahradaZaKm;
    wxStaticText *m_nahradaZaPalivo;
    wxButton *m_print;

    void createControls();
    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
    void OnCalculate(wxCommandEvent& event);
    void OnPrint(wxCommandEvent& event);
    void OnVozik(wxCommandEvent& event);
};

#endif  /* NAHRADADIALOG_H */

