/***************************************************************
 * Name:      pohybzasobdialog.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2016
 * License:   GPL3
 **************************************************************/

#ifndef POHYBZASOBDIALOG_H
#define POHYBZASOBDIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/datectrl.h>
#include <wx/dateevt.h>
#include <wx/spinctrl.h>
#include "model/dbmodel.h"

class PohybzasobDialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(PohybzasobDialog)
    DECLARE_EVENT_TABLE()
public:
    PohybzasobDialog() : m_edit(false), m_prijemka(false), m_zasobaid(-1), m_id(-1),m_mainSizer(nullptr), m_datum(nullptr), m_cislo(nullptr),m_pocet(nullptr), m_cenamj(nullptr) {}
    //Novy pohybzasob
    PohybzasobDialog(wxWindow *parent, bool prijemka, int zasobaid);
    //Editace pohybuzasob; nelze editovat pohyb z faktury nebo inventury
    PohybzasobDialog(wxWindow *parent, int id);
private:
    bool m_edit;
    bool m_prijemka;
    int m_zasobaid;
    int m_id;
    wxBoxSizer *m_mainSizer;
    wxDatePickerCtrl *m_datum;
    wxTextCtrl *m_cislo;
    wxSpinCtrlDouble *m_pocet;
    wxSpinCtrlDouble *m_cenamj;

    void createControls();
    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
    void OnDatum(wxDateEvent& event);
};

#endif  /* POHYBZASOBDIALOG_H */

