/***************************************************************
 * Name:      polozkadialog.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef POLOZKADIALOG_H
#define POLOZKADIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include "model/dbmodel.h"

class PolozkaDialog;

class FloatCtrl : public wxTextCtrl
{
    DECLARE_EVENT_TABLE()
public:
    FloatCtrl(wxWindow *parent, wxWindowID id, const wxString &value, const wxPoint &pos, const wxSize &size,
              int style, const wxValidator& validator = wxDefaultValidator)
        : wxTextCtrl(parent, id, value, pos, size, style, validator), m_parent((PolozkaDialog*)parent)
    {}
private:
    PolozkaDialog *m_parent;

    void OnKeyUp(wxKeyEvent& event);
};

class PolozkaDialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(PolozkaDialog)
    DECLARE_EVENT_TABLE()
public:
    PolozkaDialog() : m_id(-1), m_fakturaid(-1), m_zavpohid(-1), m_zasobaid(-1), m_edit(false), m_platce(false),
    m_mainSizer(NULL), m_popis(NULL), m_mj(NULL), m_pocetValue(0.0), m_pocet(NULL), m_cenamjValue(0.0),
    m_cenamj(NULL), m_bezdph(NULL), m_sazba(NULL), m_dph(0.0), m_dphLabel(NULL),
    m_celkem(0.0), m_celkemLabel(NULL) {}
    //Editace polozky
    PolozkaDialog(wxWindow *parent, int id, bool platce, const wxDateTime &datum, const wxDateTime &duzp);
    //Nova polozka
    PolozkaDialog(int fakturaid, int zavpohid, wxWindow *parent, bool platce, const wxDateTime &duzp);
    //Nova polozka ze zasob
    PolozkaDialog(int zasobaid, wxWindow *parent, int fakturaid, bool platce, const wxDateTime &datum, const wxDateTime &duzp);

    void calculateValues();
private:
    int m_id;
    int m_fakturaid;
    int m_zavpohid;
    int m_zasobaid;
    bool m_edit;
    bool m_platce;
    wxBoxSizer *m_mainSizer;
    wxTextCtrl *m_popis;
    wxTextCtrl *m_mj;
    double m_pocetValue;
    FloatCtrl *m_pocet;
    double m_cenamjValue;
    FloatCtrl *m_cenamj;
    wxCheckBox *m_bezdph;
    wxChoice *m_sazba;
    double m_dph;
    wxStaticText *m_dphLabel;
    double m_celkem;
    wxStaticText *m_celkemLabel;
    wxDateTime m_datum;
    wxDateTime m_duzp;

    void createControls();
    void fillControls();
    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
    void OnChoiceSazba(wxCommandEvent& event);
    void OnBezDph(wxCommandEvent& event);
};

#endif  /* POLOZKADIALOG_H */

