/***************************************************************
 * Name:      skladydialog.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2016
 * License:   GPL3
 **************************************************************/

#ifndef SKLADYDIALOG_H
#define SKLADYDIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/listctrl.h>
#include "model/dbmodel.h"
#include "gui/widgets/dxtoolbar.h"

class SkladyDialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(SkladyDialog)
    DECLARE_EVENT_TABLE()
public:
    SkladyDialog() : m_mainSizer(nullptr), m_list(nullptr), m_bar(nullptr), m_selectedId(-1) {}
    explicit SkladyDialog(wxWindow *parent);
private:
    wxBoxSizer *m_mainSizer;
    wxListCtrl *m_list;
    dxToolBar *m_bar;
    long m_selectedId;
    dxSkladArray m_sklady;

    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
    void OnItemRightClick(wxListEvent& event);
    void OnItemActivated(wxListEvent& event);
    void OnItemSelected(wxListEvent& event);
    void OnItemDeselected(wxListEvent& event);
    void OnEditSklad(wxCommandEvent& event);
    void OnAddSklad(wxCommandEvent& event);
    void OnDeleteSklad(wxCommandEvent& event);
    void setSelectedId(long selectedIndex);
    void fillList();
    void enableTools();
};

#endif  /* SKLADYDIALOG_H */

