/***************************************************************
 * Name:      UhradaDialog.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef UHRADADIALOG_H
#define UHRADADIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/spinctrl.h>
#include <wx/datectrl.h>
#include <wx/dateevt.h>
#include "model/dbmodel.h"

class UhradaDialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(UhradaDialog)
    DECLARE_EVENT_TABLE()
public:
    UhradaDialog() : m_faktura(), m_zavpoh(), m_uhradaFaktury(false), m_pokladna(false), m_menaid(-1),
      m_mainSizer(nullptr), m_datum(nullptr), m_bankapokladnaChoice(nullptr), m_bankapokladnaLabel(nullptr),
      m_bankapokladnaText(nullptr), m_bankapokladnaSelect(nullptr), m_castka(nullptr), m_castkacizi(nullptr),
      m_castkaciziLabel(nullptr), m_kurz(nullptr), m_kurzDownload(nullptr),
      m_kurzLabel(nullptr), m_vypisLabel(nullptr), m_vypis(nullptr), m_pausal(nullptr), m_prijem(false) {}
    UhradaDialog(wxWindow *parent, const Faktura &faktura);
    UhradaDialog(wxWindow *parent, const ZavPoh &zavpoh);

private:
    Faktura m_faktura;
    ZavPoh m_zavpoh;
    bool m_uhradaFaktury;
    bool m_pokladna;
    int m_menaid;
    wxBoxSizer *m_mainSizer;
    wxDatePickerCtrl *m_datum;
    wxChoice *m_bankapokladnaChoice;
    wxStaticText *m_bankapokladnaLabel;
    wxTextCtrl *m_bankapokladnaText;
    wxButton *m_bankapokladnaSelect;
    wxSpinCtrlDouble *m_castka;
    wxSpinCtrlDouble *m_castkacizi;
    wxStaticText *m_castkaciziLabel;
    wxSpinCtrlDouble *m_kurz;
    wxBitmapButton *m_kurzDownload;
    wxStaticText *m_kurzLabel;
    wxStaticText *m_vypisLabel;
    wxSpinCtrl *m_vypis;
    wxSpinCtrl *m_pausal;
    bool m_prijem;

    void createControls();
    void fillControls();
    void calculateValues(int id);
    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
    void OnSelectBankaPokladna(wxCommandEvent& event);
    void OnChoiceBankaPokladna(wxCommandEvent& event);
    void OnKurzDownload(wxCommandEvent& event);
    void OnDatumChanged(wxDateEvent& event);
    void OnCastka(wxSpinDoubleEvent& event);
    void OnCastkacizi(wxSpinDoubleEvent& event);
    void OnKurz(wxSpinDoubleEvent& event);
    void showhideKurz();
    void writeUhradaNeplatce();
    void writeUhradaPlatce();
    void bankapokladnaTextSetValue();
};

#endif  /* UHRADADIALOG_H */

