/***************************************************************
 * Name:      vozidlodialog.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2018
 * License:   GPL3
 **************************************************************/

#ifndef VOZIDLODIALOG_H
#define VOZIDLODIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/spinctrl.h>
#include "model/dbmodel.h"

class VozidloDialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(VozidloDialog)
    DECLARE_EVENT_TABLE()
public:
    VozidloDialog() : m_id(-1), m_edit(0), m_mainSizer(nullptr), m_rz(nullptr), m_jmeno(nullptr),
    m_druh(nullptr), m_spotreba(nullptr), m_soukrome(nullptr), m_phm(nullptr) {}
    VozidloDialog(wxWindow *parent, int id, int edit);
private:
    int m_id;
    /* 0 - novy, 1 - uprava, 2 - kopie */
    int m_edit;
    wxBoxSizer *m_mainSizer;
    wxTextCtrl *m_rz;
    wxTextCtrl *m_jmeno;
    wxChoice *m_druh;
    wxSpinCtrlDouble *m_spotreba;
    wxCheckBox *m_soukrome;
    wxChoice *m_phm;

    void createControls();
    void fillControls();
    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
    bool rzExists();
};

#endif  /* VOZIDLODIALOG_H */

