/***************************************************************
 * Name:      zasobadialog.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2016
 * License:   GPL3
 **************************************************************/

#ifndef ZASOBADIALOG_H
#define ZASOBADIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/listctrl.h>
#include <wx/spinctrl.h>
#include "model/dbmodel.h"
#include "gui/widgets/dxtoolbar.h"

class ZasobaDialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(ZasobaDialog)
    DECLARE_EVENT_TABLE()
public:
    ZasobaDialog() : m_id(-1), m_edit(0), m_mainSizer(nullptr), m_nazev(nullptr), m_popis(nullptr), m_cislo(nullptr),
    m_sklad(nullptr), m_ocenovani(nullptr), m_mj(nullptr), m_pohybSelected(-1), m_pohybyList(nullptr), m_pohybyBar(nullptr),
    m_pocet(nullptr), m_celkem(nullptr), m_cenamj(nullptr), m_bezdph(nullptr), m_sazba(nullptr) {}
    //Nova zasoba
    explicit ZasobaDialog(wxWindow *parent);
    //Editace zasoby
    ZasobaDialog(wxWindow *parent, int id, int edit = 1);
private:
    int m_id;
    /* 0 - novy, 1 - editace, 2 - kopie */
    int m_edit;
    wxBoxSizer *m_mainSizer;
    wxTextCtrl *m_nazev;
    wxTextCtrl *m_popis;
    wxTextCtrl *m_cislo;
    wxChoice *m_sklad;
    wxChoice *m_ocenovani;
    wxTextCtrl *m_mj;
    long m_pohybSelected;
    dxPohybzasobArray m_pohyby;
    wxListCtrl *m_pohybyList;
    dxToolBar *m_pohybyBar;
    wxStaticText *m_pocet;
    wxStaticText *m_celkem;
    wxSpinCtrlDouble *m_cenamj;
    wxCheckBox *m_bezdph;
    wxChoice *m_sazba;

    void createControls();
    void fillControls();
    void fillPohyby();
    void enablePohybyTools();
    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
    void OnSklad(wxCommandEvent& event);
    void OnOcenovani(wxCommandEvent& event);
    void OnMj(wxCommandEvent& event);
    void OnAddPohyb(wxCommandEvent& event);
    void OnEditPohyb(wxCommandEvent& event);
    void OnDeletePohyb(wxCommandEvent& event);
    void OnPohybRightClick(wxListEvent& event);
    void OnPohybActivated(wxListEvent& event);
    void OnPohybSelected(wxListEvent& event);
    void OnPohybDeselected(wxListEvent& event);
    bool isEditDeleteEnabled();
    void updateLabels();
};

#endif  /* ZASOBADIALOG_H */

