/***************************************************************
 * Name:      bankafilter.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2018
 * License:   GPL3
 **************************************************************/

#ifndef BANKAFILTER_H
#define BANKAFILTER_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/datectrl.h>
#include <wx/spinctrl.h>
#include "filter.h"

class BankaFilter: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(BankaFilter)
    DECLARE_EVENT_TABLE()
public:
    BankaFilter() : m_mainSizer(nullptr),
        m_datumAction(nullptr), m_datumValue(nullptr), m_datumUsage(nullptr),
        m_dokladAction(nullptr), m_dokladValue(nullptr), m_dokladUsage(nullptr),
        m_ucetAction(nullptr), m_ucetValue(nullptr), m_ucetUsage(nullptr),
        m_vypisAction(nullptr), m_vypisValue(nullptr), m_vypisUsage(nullptr),
        m_typAction(nullptr), m_typValue(nullptr), m_typUsage(nullptr),
        m_popisAction(nullptr), m_popisValue(nullptr), m_popisUsage(nullptr),
        m_castkaAction(nullptr), m_castkaValue(nullptr), m_castkaUsage(nullptr) {}
    explicit BankaFilter(wxWindow *parent);
    //Pro editaci
    BankaFilter(wxWindow *parent, dxFilterArray filters);

    dxFilterArray filters() const;
private:
    dxFilterArray m_filters;
    wxBoxSizer *m_mainSizer;
    wxChoice *m_datumAction;
    wxDatePickerCtrl *m_datumValue;
    wxCheckBox *m_datumUsage;
    wxChoice *m_dokladAction;
    wxTextCtrl *m_dokladValue;
    wxCheckBox *m_dokladUsage;
    wxChoice *m_ucetAction;
    wxTextCtrl *m_ucetValue;
    wxCheckBox *m_ucetUsage;
    wxChoice *m_vypisAction;
    wxSpinCtrl *m_vypisValue;
    wxCheckBox *m_vypisUsage;
    wxChoice *m_typAction;
    wxChoice *m_typValue;
    wxCheckBox *m_typUsage;
    wxChoice *m_popisAction;
    wxTextCtrl *m_popisValue;
    wxCheckBox *m_popisUsage;
    wxChoice *m_castkaAction;
    wxSpinCtrlDouble *m_castkaValue;
    wxCheckBox *m_castkaUsage;

    void createControls();
    void fillControls();
    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
};

#endif  /* BANKAFILTER_H */

