/***************************************************************
 * Name:      dphdruhfilter.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2019
 * License:   GPL3
 **************************************************************/

#ifndef DPHDRUHFILTER_H
#define DPHDRUHFILTER_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/spinctrl.h>
#include "filter.h"

class DphDruhFilter: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(DphDruhFilter)
    DECLARE_EVENT_TABLE()
public:
    DphDruhFilter() : m_mainSizer(nullptr),
        m_zkratkaAction(nullptr), m_zkratkaValue(nullptr), m_zkratkaUsage(nullptr),
        m_popisAction(nullptr), m_popisValue(nullptr), m_popisUsage(nullptr),
        m_plneniAction(nullptr), m_plneniValue(nullptr), m_plneniUsage(nullptr),
        m_radkyAction(nullptr), m_radkyValue(nullptr), m_radkyUsage(nullptr),
        m_kppAction(nullptr), m_kppValue(nullptr), m_kppUsage(nullptr),
        m_khAction(nullptr), m_khValue(nullptr), m_khUsage(nullptr),
        m_nabizetAction(nullptr), m_nabizetValue(nullptr), m_nabizetUsage(nullptr) {}
    explicit DphDruhFilter(wxWindow *parent);
    //Pro editaci
    DphDruhFilter(wxWindow *parent, dxFilterArray filters);

    dxFilterArray filters() const;
private:
    dxFilterArray m_filters;
    wxBoxSizer *m_mainSizer;
    wxChoice *m_zkratkaAction;
    wxTextCtrl *m_zkratkaValue;
    wxCheckBox *m_zkratkaUsage;
    wxChoice *m_popisAction;
    wxTextCtrl *m_popisValue;
    wxCheckBox *m_popisUsage;
    wxChoice *m_plneniAction;
    wxChoice *m_plneniValue;
    wxCheckBox *m_plneniUsage;
    wxChoice *m_radkyAction;
    wxChoice *m_radkyValue;
    wxCheckBox *m_radkyUsage;
    wxChoice *m_kppAction;
    wxChoice *m_kppValue;
    wxCheckBox *m_kppUsage;
    wxChoice *m_khAction;
    wxChoice *m_khValue;
    wxCheckBox *m_khUsage;
    wxChoice *m_nabizetAction;
    wxChoice *m_nabizetValue;
    wxCheckBox *m_nabizetUsage;

    void createControls();
    void fillControls();
    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
};

#endif  /* DPHDRUHFILTER_H */

