/***************************************************************
 * Name:      prijatafilter.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2018
 * License:   GPL3
 **************************************************************/

#ifndef PRIJATAFILTER_H
#define PRIJATAFILTER_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/datectrl.h>
#include <wx/spinctrl.h>
#include "filter.h"

class PrijataFilter: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(PrijataFilter)
    DECLARE_EVENT_TABLE()
public:
    PrijataFilter() : m_mainSizer(nullptr),
        m_dokladAction(nullptr), m_dokladValue(nullptr), m_dokladUsage(nullptr),
        m_popisAction(nullptr), m_popisValue(nullptr), m_popisUsage(nullptr),
        m_protistranaAction(nullptr), m_protistranaValue(nullptr), m_protistranaUsage(nullptr),
        m_vystavenoAction(nullptr), m_vystavenoValue(nullptr), m_vystavenoUsage(nullptr),
        m_splatnoAction(nullptr), m_splatnoValue(nullptr), m_splatnoUsage(nullptr),
        m_celkemAction(nullptr), m_celkemValue(nullptr), m_celkemUsage(nullptr),
        m_uhrazenoAction(nullptr), m_uhrazenoValue(nullptr), m_uhrazenoUsage(nullptr) {}
    explicit PrijataFilter(wxWindow *parent);
    //Pro editaci
    PrijataFilter(wxWindow *parent, dxFilterArray filters);

    dxFilterArray filters() const;
private:
    dxFilterArray m_filters;
    wxBoxSizer *m_mainSizer;
    wxChoice *m_dokladAction;
    wxTextCtrl *m_dokladValue;
    wxCheckBox *m_dokladUsage;
    wxChoice *m_popisAction;
    wxTextCtrl *m_popisValue;
    wxCheckBox *m_popisUsage;
    wxChoice *m_protistranaAction;
    wxTextCtrl *m_protistranaValue;
    wxCheckBox *m_protistranaUsage;
    wxChoice *m_vystavenoAction;
    wxDatePickerCtrl *m_vystavenoValue;
    wxCheckBox *m_vystavenoUsage;
    wxChoice *m_splatnoAction;
    wxDatePickerCtrl *m_splatnoValue;
    wxCheckBox *m_splatnoUsage;
    wxChoice *m_celkemAction;
    wxSpinCtrlDouble *m_celkemValue;
    wxCheckBox *m_celkemUsage;
    wxChoice *m_uhrazenoAction;
    wxSpinCtrlDouble *m_uhrazenoValue;
    wxCheckBox *m_uhrazenoUsage;

    void createControls();
    void fillControls();
    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
};

#endif  /* PRIJATAFILTER_H */

