/***************************************************************
 * Name:      homepage.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#include "homepage.h"

IMPLEMENT_DYNAMIC_CLASS(HomePage, wxPanel)

HomePage::HomePage(wxWindow *parent)
    : dxPage(parent, NAV_HOME)
{
    m_mainSizer = new wxBoxSizer(wxVERTICAL);
    m_html = new wxHtmlWindow(this, wxID_ANY, wxDefaultPosition, wxDefaultSize, wxBORDER_SUNKEN);
    fillInfo();
    m_mainSizer->Add(m_html, 1, wxALL|wxEXPAND, 5);
    this->SetSizer(m_mainSizer);
    m_mainSizer->Fit(this);
    m_mainSizer->SetSizeHints(this);
}

void HomePage::updateData(int id)
{
    if(!(id==ID_MODEL_MAJETEK || id==ID_MODEL_ZASOBA)) fillInfo();
}

void HomePage::fillInfo()
{
    wxString page = "<html><body>";
    page.Append(wxString::Format(wxString::FromUTF8("<h1>%s, IČ: %s</h1>"), idbmodel->firma().nazev(), idbmodel->firma().ic()));
    page.Append(wxString::Format(wxString::FromUTF8("Účetní rok: <b>%d</b><br><br>"), idbmodel->currentRok()));
    page.Append(idbmodel->homepagePrijmy());
    page.Append(idbmodel->homepageVydaje());
    page.Append(idbmodel->homepageVydane());
    page.Append(idbmodel->homepagePrijate());
    page.Append(idbmodel->homepagePohledavky());
    page.Append(idbmodel->homepageZavazky());
    page.Append("</body></html>");
    m_html->SetPage(page);
}

