/***************************************************************
 * Name:      knihainventurprint.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2016
 * License:   GPL3
 **************************************************************/

#include "knihainventurprint.h"

KnihaInventurPrint::KnihaInventurPrint(wxWindow *parent)
    : TablePrint(parent, "Kniha inventur")
{
    createTable();
}

void KnihaInventurPrint::createTable()
{
    m_headerLeftText = idbmodel->firma().nazev();
    m_headerCenterText = "Kniha inventur";
    m_headerRightText = wxString::Format(wxString::FromUTF8("Účetní rok %d"), idbmodel->currentRok());
    m_headerLine = true;
    m_table = new Table(6);
    m_table->addCellToHeader("Datum");
    m_table->addCellToHeader(wxString::FromUTF8("Číslo"));
    m_table->addCellToHeader("Popis");
    m_table->addCellToHeader("Provedl");
    m_table->addCellToHeader(wxString::FromUTF8("Evidovaný stav"));
    m_table->addCellToHeader(wxString::FromUTF8("Zjištěný stav"));
    dxInventuraArray inventury = idbmodel->inventury();
    for(size_t i=0; i < inventury.GetCount(); i++)
    {
        m_table->addRow();
        m_table->addCell(inventury[i].datum().Format("%d.%m.%Y %H:%M:%S"));
        m_table->addCell(inventury[i].cislo());
        m_table->addCell(inventury[i].popis());
        m_table->addCell(inventury[i].provedl());
        dxIvPolozkaArray polozky = idbmodel->ivpolozkyByInventuraId(inventury[i].id());
        double evidovano = 0.0, zjisteno = 0.0;
        for(size_t j=0; j < polozky.GetCount(); j++)
        {
            evidovano += polozky[j].evidovano();
            zjisteno += polozky[j].zjisteno();
        }
        m_table->addCell(wxString::Format("%.3f", evidovano), wxTEXT_ALIGNMENT_RIGHT);
        m_table->addCell(wxString::Format("%.3f", zjisteno), wxTEXT_ALIGNMENT_RIGHT);
    }
    m_table->setColumnWidth(2,45);
    m_table->setColumnWidth(3,45);
    m_table->refreshCellsSize();
}
