/***************************************************************
 * Name:      dphdp3print.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2016
 * License:   GPL3
 **************************************************************/

#ifndef DPHDP3PRINT_H
#define DPHDP3PRINT_H

#include "print/documentprint.h"
#include "atribut.h"

class Dphdp3Print: public DocumentPrint
{
public:
    Dphdp3Print(wxWindow *parent, dxAtributArray atributes);

    /**
     * @param print - true zobrazi se tlacitko print v preview dialogu
     */
    void Preview(bool print = true);
    void Print();
    wxString CreatePDF(const wxString &filename, const wxString &name = wxEmptyString, bool select = false);
private:
    dxAtributArray m_atributes;

    void parseXml();
    wxString parseLine(wxString line);
    void moveElements(dxElementsArray elements, int posY, int sectionHeight);
    void parseSpecialTag(TextElement el);
};

class Dphdp3Printout: public dxPrint
{
public:
    explicit Dphdp3Printout(const wxString &title);

    bool OnPrintPage(int page);
    void setDocument(Document *document);
protected:
    Document *m_document;
};

#endif  /* DPHDP3PRINT_H */

