/***************************************************************
 * Name:      dphkh1vetaa2dialog.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2016
 * License:   GPL3
 **************************************************************/

#ifndef DPHKH1VETAA2DIALOG_H
#define DPHKH1VETAA2DIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/datectrl.h>
#include <wx/spinctrl.h>
#include "veta.h"

class Dphkh1Vetaa2Dialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(Dphkh1Vetaa2Dialog)
    DECLARE_EVENT_TABLE()
public:
    Dphkh1Vetaa2Dialog() : m_mainSizer(nullptr), m_cEvidDd(nullptr), m_kStat(nullptr), m_vatidDod(nullptr), m_dppd(nullptr), m_zaklDane1(nullptr),
    m_zaklDane2(nullptr), m_zaklDane3(nullptr), m_dan1(nullptr), m_dan2(nullptr), m_dan3(nullptr), m_rok(-1) {}
    Dphkh1Vetaa2Dialog(wxWindow *parent, Veta veta, int rok);

    Veta veta() const;
private:
    wxBoxSizer *m_mainSizer;
    Veta m_veta;
    wxTextCtrl *m_cEvidDd;
    wxTextCtrl *m_kStat;
    wxTextCtrl *m_vatidDod;
    wxDatePickerCtrl *m_dppd;
    wxSpinCtrlDouble *m_zaklDane1;
    wxSpinCtrlDouble *m_zaklDane2;
    wxSpinCtrlDouble *m_zaklDane3;
    wxStaticText *m_dan1;
    wxStaticText *m_dan2;
    wxStaticText *m_dan3;
    int m_rok;

    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
    void OnZaklad1(wxSpinDoubleEvent& event);
    void OnZaklad2(wxSpinDoubleEvent& event);
    void OnZaklad3(wxSpinDoubleEvent& event);
};

#endif  /* DPHKH1VETAA2DIALOG_H */

