/***************************************************************
 * Name:      dphshv.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2016
 * License:   GPL3
 **************************************************************/

#ifndef DPHSHV_H
#define DPHSHV_H

#include "veta.h"

class Dphshv
{
public:
    Dphshv();

    void setAtributValue(int vetaId, const wxString &name, const wxString &value);
    void setAtributValue(int vetaId, const wxString &name, int value);
    void setAtributValue(int vetaId, const wxString &name, double value);
    void setAtributValue(int vetaId, const wxString &name, const wxDateTime &value);
    void setAtributValue(const wxString &name, const wxString &value);
    void setAtributValue(const wxString &name, int value);
    void setAtributValue(const wxString &name, double value);
    void setAtributValue(const wxString &name, const wxDateTime &value);
    wxString atributValue(const wxString &name) const;
    int atributValueInt(const wxString &name) const;
    double atributValueDouble(const wxString &name) const;
    wxDateTime atributValueDatum(const wxString &name) const;
    bool saveToXml(const wxString &path);
    wxString saveToString();
    bool readFromXml(const wxString &path);
    bool readFromString(const wxString &data);
    void clearData();
    dxAtributArray atributy() const;
    bool isEmpty();
    ATRIBUTTYPE atributType(const wxString &name) const;
    void addVetaR(Veta veta);
    dxVetaArray vety() const;
    void setVety(const dxVetaArray &vety);
private:
    dxVetaArray m_vety;

    wxXmlDocument createXml();
};

#endif  /* DPHSHV_H */

