/***************************************************************
 * Name:      majetekzavazkydialog.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2016
 * License:   GPL3
 **************************************************************/

#ifndef MAJETEKZAVAZKYDIALOG_H
#define MAJETEKZAVAZKYDIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/spinctrl.h>
#include "model/dbmodel.h"

class MajetekZavazkyDialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(MajetekZavazkyDialog)
    DECLARE_EVENT_TABLE()
public:
    MajetekZavazkyDialog() : m_mainSizer(nullptr), m_rok(nullptr), m_kc_dpfmz02(nullptr), m_kc_z_dpfmz02(nullptr), m_kc_dpfmz05a(nullptr),
        m_kc_z_dpfmz05a(nullptr), m_kc_dpfmz06(nullptr), m_kc_z_dpfmz06(nullptr), m_kc_dpfmz03(nullptr), m_kc_z_dpfmz03(nullptr), m_kc_dpfmz04(nullptr),
        m_kc_z_dpfmz04(nullptr), m_kc_dpfmz08(nullptr), m_kc_z_dpfmz08(nullptr), m_kc_dpfmz10(nullptr), m_kc_z_dpfmz10(nullptr), m_kc_dpfmz11(nullptr),
        m_kc_z_dpfmz11(nullptr), m_kc_dpfmz18(nullptr) {}
    explicit MajetekZavazkyDialog(wxWindow *parent);
private:
    wxBoxSizer *m_mainSizer;
    wxChoice *m_rok;
    wxSpinCtrlDouble *m_kc_dpfmz02;
    wxSpinCtrlDouble *m_kc_z_dpfmz02;
    wxSpinCtrlDouble *m_kc_dpfmz05a;
    wxSpinCtrlDouble *m_kc_z_dpfmz05a;
    wxSpinCtrlDouble *m_kc_dpfmz06;
    wxSpinCtrlDouble *m_kc_z_dpfmz06;
    wxSpinCtrlDouble *m_kc_dpfmz03;
    wxSpinCtrlDouble *m_kc_z_dpfmz03;
    wxSpinCtrlDouble *m_kc_dpfmz04;
    wxSpinCtrlDouble *m_kc_z_dpfmz04;
    wxSpinCtrlDouble *m_kc_dpfmz08;
    wxSpinCtrlDouble *m_kc_z_dpfmz08;
    wxSpinCtrlDouble *m_kc_dpfmz10;
    wxSpinCtrlDouble *m_kc_z_dpfmz10;
    wxSpinCtrlDouble *m_kc_dpfmz11;
    wxSpinCtrlDouble *m_kc_z_dpfmz11;
    wxSpinCtrlDouble *m_kc_dpfmz18;

    void createControls();
    void OnPrint(wxCommandEvent& event);
    void OnReload(wxCommandEvent& event);
    void OnRok(wxCommandEvent& event);
    void OnClose(wxCommandEvent& event);
    void fillData();
};

#endif  /* MAJETEKZAVAZKYDIALOG_H */

