/***************************************************************
 * Name:      okecdialog.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2016
 * License:   GPL3
 **************************************************************/

#ifndef OKECDIALOG_H
#define OKECDIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/listctrl.h>
#include <wx/dynarray.h>
#include <wx/xml/xml.h>

class Okec
{
public:
    Okec(const wxString &nazev, int nace);

    wxString nazev() const;
    void setNazev(const wxString &nazev);
    int nace() const;
    void setNace(int nace);
    wxString lower() const;
    void setLower(const wxString &lower);
private:
    wxString m_nazev;
    int m_nace;
    wxString m_lower;
};

WX_DECLARE_OBJARRAY(Okec*, dxOkecArray);

class OkecDialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(OkecDialog)
    DECLARE_EVENT_TABLE()
public:
    OkecDialog() : m_mainSizer(nullptr), m_list(nullptr), m_search(nullptr), m_selectedId(-1) {}
    OkecDialog(wxWindow *parent, int c_okec=0);

    Okec selectedOkec() const;
private:
    wxBoxSizer *m_mainSizer;
    wxListCtrl *m_list;
    wxTextCtrl *m_search;
    long m_selectedId;
    dxOkecArray m_okecArray;

    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
    void OnItemActivated(wxListEvent& event);
    void OnItemSelected(wxListEvent& event);
    void OnItemDeselected(wxListEvent& event);
    void setSelectedId(long selectedIndex);
    void fillList(const wxString &search);
    void OnSearch(wxCommandEvent& event);
};

#endif  /* OKECDIALOG_H */

