/***************************************************************
 * Name:      ulozenedialog.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2016
 * License:   GPL3
 **************************************************************/

#ifndef ULOZENEDIALOG_H
#define ULOZENEDIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/listctrl.h>
#include "model/dbmodel.h"
#include "gui/widgets/dxtoolbar.h"

class UlozeneDialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(UlozeneDialog)
    DECLARE_EVENT_TABLE()
public:
    UlozeneDialog() : m_mainSizer(nullptr), m_list(nullptr), m_bar(nullptr), m_selectedIndex(-1) {}
    explicit UlozeneDialog(wxWindow *parent);

private:
    wxBoxSizer *m_mainSizer;
    wxListCtrl *m_list;
    dxToolBar *m_bar;
    long m_selectedIndex;
    dxUlozeneArray m_ulozene;

    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
    void OnItemRightClick(wxListEvent& event);
    void OnItemActivated(wxListEvent& event);
    void OnItemSelected(wxListEvent& event);
    void OnItemDeselected(wxListEvent& event);
    void OnSaveasUlozene(wxCommandEvent& event);
    void OnPreviewUlozene(wxCommandEvent& event);
    void OnDeleteUlozene(wxCommandEvent& event);
    void setSelectedIndex(long selectedIndex);
    void fillList();
    void enableTools();
};

#endif  /* ULOZENEDIALOG_H */

