/***************************************************************
 * Name:      veta.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2016
 * License:   GPL3
 **************************************************************/

#ifndef VETA_H
#define VETA_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/xml/xml.h>
#include "atribut.h"

class Veta
{
public:
    Veta();
    Veta(int id, const wxString &name, int minOccurs, int maxOccurs);

    wxString name() const;
    void setName(const wxString &name);
    int minOccurs() const;
    void setMinOccurs(int minOccurs);
    int maxOccurs() const;
    void setMaxOccurs(int maxOccurs);
    wxXmlNode *createXmlNode() const;
    dxAtributArray atributy() const;
    void setAtributy(const dxAtributArray &atributy);
    void setAtributValue(const wxString &name, const wxString &value);
    void setAtributValue(const wxString &name, int value);
    void setAtributValue(const wxString &name, double value);
    void setAtributValue(const wxString &name, const wxDateTime &value);
    wxString atributValue(const wxString &name) const;
    int atributValueInt(const wxString &name) const;
    double atributValueDouble(const wxString &name) const;
    wxDateTime atributValueDatum(const wxString &name) const;
    int id() const;
    void setId(int id);
    bool isForXml();
    void clearData();
    void clearAtributValue(const wxString &name);
private:
    int m_id;
    wxString m_name;
    int m_minOccurs;
    int m_maxOccurs;
    dxAtributArray m_atributy;
};

WX_DECLARE_OBJARRAY(Veta, dxVetaArray);

#endif  /* VETA_H */

