/***************************************************************
 * Name:      tags.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2015
 * License:   GPL3
 **************************************************************/

#ifndef TAGS_H
#define TAGS_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

const wxString fakturaTags[] = {"{faktura-cislo}","{faktura-celkem}","{faktura-uhrada}","{faktura-banka}",
                                "{faktura-vystaveni}","{faktura-splatnost}","{faktura-duzp}",
                                "{faktura-ks}","{faktura-vs}","{faktura-ss}","{faktura-mena}"};
const size_t numFakturaTags = (sizeof(fakturaTags)/sizeof(fakturaTags[0]));
const wxString firmaTags[] = {"{firma-nazev}","{firma-ulice}","{firma-registrace}",
                              "{firma-psc}","{firma-misto}","{firma-zeme}","{firma-ic}","{firma-dic}",
                              "{firma-telefon}","{firma-email}","{firma-www}"};
const size_t numFirmaTags = (sizeof(firmaTags)/sizeof(firmaTags[0]));
const wxString kontaktTags[] = {"{kontakt-nazev}","{kontakt-ulice}","{kontakt-psc}","{kontakt-misto}",
                                "{kontakt-zeme}","{kontakt-ic}","{kontakt-dic}"};
const size_t numKontaktTags = (sizeof(kontaktTags)/sizeof(kontaktTags[0]));
const wxString polozkaTags[] = {"{polozka-popis}","{polozka-pocet}","{polozka-cenamj}",
                                "{polozka-sazba}","{polozka-dph}","{polozka-celkem}","{polozka-mj}"};
const size_t numPolozkaTags = (sizeof(polozkaTags)/sizeof(polozkaTags[0]));
const wxString sazbaTags[] = {"{dph-sazba}","{dph-zaklad}","{dph-dph}"};
const size_t numSazbaTags = (sizeof(sazbaTags)/sizeof(sazbaTags[0]));

bool isRightFakturaTag(const wxString &line);
bool isRightFirmaTag(const wxString &line);
bool isRightKontaktTag(const wxString &line);
bool isRightPolozkaTag(const wxString &line);
bool isRightSazbaTag(const wxString &line);

#endif  /* TAGS_H */
