/***************************************************************
 * Name:      firmawizard.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef FIRMAWIZARD_H
#define FIRMAWIZARD_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/wizard.h>
#include <wx/spinctrl.h>
#include <wx/filepicker.h>
#include "model/dbmodel.h"

class FirmaPage: public wxWizardPageSimple
{
    DECLARE_EVENT_TABLE()
public:
    explicit FirmaPage(wxWizard *parent);

    Adresa getAdresa();
    Firma getFirma() const;
private:
    wxBoxSizer *m_mainSizer;
    wxTextCtrl *m_nazev;
    wxTextCtrl *m_ulice;
    wxTextCtrl *m_cp;
    wxTextCtrl *m_psc;
    wxTextCtrl *m_misto;
    wxTextCtrl *m_zeme;
    wxTextCtrl *m_ic;
    wxTextCtrl *m_dic;
    wxTextCtrl *m_registrace;
    wxCheckBox *m_pausal;
    wxCheckBox *m_platce;
    wxTextCtrl *m_telefon;
    wxTextCtrl *m_email;
    wxTextCtrl *m_www;
    wxFilePickerCtrl *m_logo;
    wxFilePickerCtrl *m_razitko;

    void createControls();
    void OnPageChanging(wxWizardEvent& event);
};

class ObdobiPage: public wxWizardPageSimple
{
public:
    explicit ObdobiPage(wxWizard *parent);

    int getRok() const;
private:
    wxBoxSizer *m_mainSizer;
    wxSpinCtrl *m_rok;
};

class FirmaWizard: public wxWizard
{
    DECLARE_DYNAMIC_CLASS(FirmaWizard)
    DECLARE_EVENT_TABLE()
public:
    FirmaWizard() : m_firstrun(false), m_success(false), m_page1(nullptr), m_page2(nullptr), m_page3(nullptr) {}
    FirmaWizard(wxWindow *parent, bool firstrun=false);

    wxWizardPage *GetFirstPage() const { return m_page1; }
    bool success() const;
    Adresa getAdresa();
    Firma getFirma() const;
    Obdobi *getObdobi();
private:
    bool m_firstrun;
    bool m_success;
    wxWizardPageSimple *m_page1;
    FirmaPage *m_page2;
    ObdobiPage *m_page3;

    void OnFinished(wxWizardEvent& event);
    void OnCancel(wxWizardEvent& event);
};

#endif  /* FIRMAWIZARD_H */

