/***************************************************************
 * Name:      banka.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef BANKA_H
#define BANKA_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class Banka {
public:
    Banka() : m_id(-1), m_zkratka(wxEmptyString), m_menaid(-1), m_iban(wxEmptyString) {}
    Banka(int id, const wxString &zkratka, const wxString &popis, const wxString &cislouctu,
          const wxString &kodbanky, const wxString &iban, const wxString &bic, int menaid);

    bool isValid() const;
    int id() const;
    void setId(int id);
    wxString zkratka() const;
    void setZkratka(const wxString &zkratka);
    wxString popis() const;
    void setPopis(const wxString &popis);
    int menaid() const;
    void setMenaid(int menaid);
    wxString cislouctu() const;
    void setCislouctu(const wxString &cislouctu);
    wxString kodbanky() const;
    void setKodbanky(const wxString &kodbanky);
    wxString iban() const;
    void setIban(const wxString &iban);
    wxString bic() const;
    void setBic(const wxString &bic);
private:
    int m_id;
    wxString m_zkratka;
    wxString m_popis;
    wxString m_cislouctu;
    wxString m_kodbanky;
    int m_menaid;
    wxString m_iban;
    wxString m_bic;
};

#endif  /* BANKA_H */

