/***************************************************************
 * Name:      denik.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef DENIK_H
#define DENIK_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class Denik {
public:
    Denik() : m_id(-1), m_castka(0.0), m_castkacizi(0.0), m_kurz(0.0), m_menaid(-1), m_predkontaceid(-1),
    m_pokladnaid(-1), m_bankaid(-1), m_vypis(0), m_protistranaid(-1), m_obdobirok(0), m_pausal(0) {}
    Denik(int id, const wxDateTime &datum, const wxString &cislo, const wxString &popis, double castka, double castkacizi,
          double kurz, const wxString &reference, int menaid, int predkontaceid, int pokladnaid, int bankaid,
          int vypis, int protistranaid, int obdobirok, int pausal=0);

    bool isValid() const;
    int id() const;
    void setId(int id);
    wxDateTime datum() const;
    void setDatum(const wxDateTime &datum);
    wxString cislo() const;
    void setCislo(const wxString &cislo);
    wxString popis() const;
    void setPopis(const wxString &popis);
    double castka() const;
    void setCastka(double castka);
    double castkacizi() const;
    void setCastkacizi(double castkacizi);
    double kurz() const;
    void setKurz(double kurz);
    int menaid() const;
    void setMenaid(int menaid);
    int predkontaceid() const;
    void setPredkontaceid(int predkontaceid);
    int pokladnaid() const;
    void setPokladnaid(int pokladnaid);
    int bankaid() const;
    void setBankaid(int bankaid);
    int protistranaid() const;
    void setProtistranaid(int protistranaid);
    int obdobirok() const;
    void setObdobirok(int obdobirok);
    wxString reference() const;
    void setReference(const wxString &reference);
    int vypis() const;
    void setVypis(int vypis);
    int pausal() const;
    void setPausal(int pausal);
private:
    int m_id;
    wxDateTime m_datum;
    wxString m_cislo;
    wxString m_popis;
    double m_castka;
    double m_castkacizi;
    double m_kurz;
    wxString m_reference;
    int m_menaid;
    int m_predkontaceid;
    int m_pokladnaid;
    int m_bankaid;
    int m_vypis;
    int m_protistranaid;
    int m_obdobirok;
    int m_pausal;
};

class DenikView {
public:
    DenikView() : m_id(-1), m_castka(0.0), m_prijem(true), m_vypis(0) {}
    DenikView(int id, const wxDateTime &datum, const wxString &cislo, const wxString &popis, double castka, bool prijem, const wxString &pokladnabanka, int vypis);

    int id() const;
    void setId(int id);
    wxDateTime datum() const;
    void setDatum(const wxDateTime &datum);
    wxString cislo() const;
    void setCislo(const wxString &cislo);
    wxString popis() const;
    void setPopis(const wxString &popis);
    double castka() const;
    void setCastka(double castka);
    bool prijem() const;
    void setPrijem(bool prijem);
    wxString pokladnabanka() const;
    void setPokladnabanka(const wxString &pokladnabanka);
    int vypis() const;
    void setVypis(int vypis);
private:
    int m_id;
    wxDateTime m_datum;
    wxString m_cislo;
    wxString m_popis;
    double m_castka;
    bool m_prijem;
    wxString m_pokladnabanka;
    int m_vypis;
};

#endif  /* DENIK_H */

