/***************************************************************
 * Name:      dphdoklad.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2015
 * License:   GPL3
 **************************************************************/

#include "dphdoklad.h"
#include <wx/arrimpl.cpp>

WX_DEFINE_OBJARRAY(dxDphForDokladArray)

DphForDoklad::DphForDoklad(int sazba, bool zakladni, double zaklad, double dph)
    : m_sazba(sazba), m_zakladni(zakladni), m_zaklad(zaklad), m_dph(dph)
{
}

int DphForDoklad::sazba() const
{
    return m_sazba;
}

void DphForDoklad::setSazba(int sazba)
{
    m_sazba = sazba;
}

bool DphForDoklad::zakladni() const
{
    return m_zakladni;
}

void DphForDoklad::setZakladni(bool zakladni)
{
    m_zakladni = zakladni;
}

double DphForDoklad::zaklad() const
{
    return m_zaklad;
}

void DphForDoklad::setZaklad(double zaklad)
{
    m_zaklad = zaklad;
}

double DphForDoklad::dph() const
{
    return m_dph;
}

void DphForDoklad::setDph(double dph)
{
    m_dph = dph;
}


DphDoklad::DphDoklad(const wxString &cislo, const wxString &dic, const wxDateTime &duzp, const wxDateTime &dppd, const wxString &popis, const wxString &zdroj,
                     dxDphForDokladArray dph, double celkem, const wxString &kpp, const wxString &krp, int kontaktid)
    : m_cislo(cislo), m_dic(dic), m_duzp(duzp), m_dppd(dppd), m_dph(dph), m_popis(popis), m_zdroj(zdroj), m_celkem(celkem), m_kpp(kpp), m_krp(krp), m_kontaktid(kontaktid)
{
}

wxString DphDoklad::cislo() const
{
    return m_cislo;
}

void DphDoklad::setCislo(const wxString &cislo)
{
    m_cislo = cislo;
}

wxString DphDoklad::dic() const
{
    return m_dic;
}

void DphDoklad::setDic(const wxString &dic)
{
    m_dic = dic;
}

wxDateTime DphDoklad::duzp() const
{
    return m_duzp;
}

void DphDoklad::setDuzp(const wxDateTime &duzp)
{
    m_duzp = duzp;
}

wxDateTime DphDoklad::dppd() const
{
    return m_dppd;
}

void DphDoklad::setDppd(const wxDateTime &dppd)
{
    m_dppd = dppd;
}

dxDphForDokladArray DphDoklad::dph() const
{
    return m_dph;
}

void DphDoklad::setDph(const dxDphForDokladArray &dph)
{
    m_dph = dph;
}

wxString DphDoklad::popis() const
{
    return m_popis;
}

void DphDoklad::setPopis(const wxString &popis)
{
    m_popis = popis;
}

wxString DphDoklad::zdroj() const
{
    return m_zdroj;
}

void DphDoklad::setZdroj(const wxString &zdroj)
{
    m_zdroj = zdroj;
}

double DphDoklad::celkem() const
{
    return m_celkem;
}

void DphDoklad::setCelkem(double celkem)
{
    m_celkem = celkem;
}

wxString DphDoklad::kpp() const
{
    return m_kpp;
}

void DphDoklad::setKpp(const wxString &kpp)
{
    m_kpp = kpp;
}

int DphDoklad::kontaktid() const
{
    return m_kontaktid;
}

void DphDoklad::setKontaktid(int kontaktid)
{
    m_kontaktid = kontaktid;
}

wxString DphDoklad::krp() const
{
    return m_krp;
}

void DphDoklad::setKrp(const wxString &krp)
{
    m_krp = krp;
}
