/***************************************************************
 * Name:      dphdruh.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2015
 * License:   GPL3
 **************************************************************/

#ifndef DPHDRUH_H
#define DPHDRUH_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class DphDruh {
public:
    DphDruh() : m_id(-1), m_plneni(false), m_vydaj(false), m_nabizet(false), m_kraceny(false) {}
    DphDruh(int id, const wxString &zkratka, const wxString &popis, const wxString &radky, bool plneni, bool vydaj,
            bool nabizet, const wxString &kpp, int krp, const wxDateTime &validFrom, const wxDateTime &validTo, bool kraceny, const wxString &kh);

    bool isValid() const;
    int id() const;
    void setId(int id);
    wxString zkratka() const;
    void setZkratka(const wxString &zkratka);
    wxString popis() const;
    void setPopis(const wxString &popis);
    wxString radky() const;
    void setRadky(const wxString &radky);
    bool plneni() const;
    void setPlneni(bool plneni);
    bool vydaj() const;
    void setVydaj(bool vydaj);
    bool nabizet() const;
    void setNabizet(bool nabizet);
    wxString kpp() const;
    void setKpp(const wxString &kpp);
    wxDateTime validFrom() const;
    void setValidFrom(const wxDateTime &validFrom);
    wxDateTime validTo() const;
    void setValidTo(const wxDateTime &validTo);
    bool kraceny() const;
    void setKraceny(bool kraceny);
    wxString kh() const;
    void setKh(const wxString &kh);
    int krp() const;
    void setKrp(int krp);
private:
    int m_id;
    wxString m_zkratka;
    wxString m_popis;
    wxString m_radky;
    bool m_plneni;
    bool m_vydaj;
    bool m_nabizet;
    wxString m_kpp;
    int m_krp;
    wxDateTime m_validFrom;
    wxDateTime m_validTo;
    bool m_kraceny;
    wxString m_kh;
};

#endif  /* DPHDRUH_H */

