/***************************************************************
 * Name:      faktura.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#include "faktura.h"

Faktura::Faktura(int id, int protistranaid, const wxString &popis, double celkem, const wxString &cislo, const wxString &vs,
                 const wxString &ss, const wxString &ks, int typid, int uhradaid, int pokladnaid, int bankaid, int menaid,
                 int predkontaceid, int obdobirok, bool vydana, bool platce, const wxDateTime &vystaveni, const wxDateTime &duzp, const wxDateTime &dppd,
                 const wxDateTime &splatnost, int dphdruhid, double kurz, int pausal)
    : m_id(id), m_protistranaid(protistranaid), m_popis(popis), m_celkem(celkem), m_cislo(cislo), m_vs(vs), m_ss(ss), m_ks(ks),
      m_typid(typid), m_uhradaid(uhradaid), m_pokladnaid(pokladnaid), m_bankaid(bankaid), m_menaid(menaid),
      m_predkontaceid(predkontaceid), m_obdobirok(obdobirok), m_vydana(vydana), m_platce(platce), m_vystaveni(vystaveni),
      m_duzp(duzp), m_dppd(dppd), m_splatnost(splatnost), m_dphdruhid(dphdruhid), m_kurz(kurz), m_pausal(pausal)
{
}

bool Faktura::isValid() const
{
    return m_id != -1;
}

int Faktura::id() const
{
    return m_id;
}

void Faktura::setId(int id)
{
    m_id = id;
}
int Faktura::protistranaid() const
{
    return m_protistranaid;
}

void Faktura::setProtistranaid(int protistranaid)
{
    m_protistranaid = protistranaid;
}

wxString Faktura::popis() const
{
    return m_popis;
}

void Faktura::setPopis(const wxString &popis)
{
    m_popis = popis;
}

double Faktura::celkem() const
{
    return m_celkem;
}

void Faktura::setCelkem(double celkem)
{
    m_celkem = celkem;
}

wxString Faktura::cislo() const
{
    return m_cislo;
}

void Faktura::setCislo(const wxString &cislo)
{
    m_cislo = cislo;
}

wxString Faktura::vs() const
{
    return m_vs;
}

void Faktura::setVs(const wxString &vs)
{
    m_vs = vs;
}

wxString Faktura::ss() const
{
    return m_ss;
}

void Faktura::setSs(const wxString &ss)
{
    m_ss = ss;
}

wxString Faktura::ks() const
{
    return m_ks;
}

void Faktura::setKs(const wxString &ks)
{
    m_ks = ks;
}

int Faktura::typid() const
{
    return m_typid;
}

void Faktura::setTypid(int typid)
{
    m_typid = typid;
}

int Faktura::uhradaid() const
{
    return m_uhradaid;
}

void Faktura::setUhradaid(int uhradaid)
{
    m_uhradaid = uhradaid;
}

int Faktura::pokladnaid() const
{
    return m_pokladnaid;
}

void Faktura::setPokladnaid(int pokladnaid)
{
    m_pokladnaid = pokladnaid;
}

int Faktura::bankaid() const
{
    return m_bankaid;
}

void Faktura::setBankaid(int bankaid)
{
    m_bankaid = bankaid;
}

int Faktura::menaid() const
{
    return m_menaid;
}

void Faktura::setMenaid(int menaid)
{
    m_menaid = menaid;
}

int Faktura::predkontaceid() const
{
    return m_predkontaceid;
}

void Faktura::setPredkontaceid(int predkontaceid)
{
    m_predkontaceid = predkontaceid;
}

int Faktura::obdobirok() const
{
    return m_obdobirok;
}

void Faktura::setObdobirok(int obdobirok)
{
    m_obdobirok = obdobirok;
}

bool Faktura::vydana() const
{
    return m_vydana;
}

void Faktura::setVydana(bool vydana)
{
    m_vydana = vydana;
}

bool Faktura::platce() const
{
    return m_platce;
}

void Faktura::setPlatce(bool platce)
{
    m_platce = platce;
}

wxDateTime Faktura::vystaveni() const
{
    return m_vystaveni;
}

void Faktura::setVystaveni(const wxDateTime &vystaveni)
{
    m_vystaveni = vystaveni;
}

wxDateTime Faktura::duzp() const
{
    return m_duzp;
}

void Faktura::setDuzp(const wxDateTime &duzp)
{
    m_duzp = duzp;
}

wxDateTime Faktura::splatnost() const
{
    return m_splatnost;
}

void Faktura::setSplatnost(const wxDateTime &splatnost)
{
    m_splatnost = splatnost;
}

wxDateTime Faktura::dppd() const
{
    return m_dppd;
}

void Faktura::setDppd(const wxDateTime &dppd)
{
    m_dppd = dppd;
}

int Faktura::dphdruhid() const
{
    return m_dphdruhid;
}

void Faktura::setDphdruhid(int dphdruhid)
{
    m_dphdruhid = dphdruhid;
}

double Faktura::kurz() const
{
    return m_kurz;
}

void Faktura::setKurz(double kurz)
{
    m_kurz = kurz;
}

int Faktura::pausal() const
{
    return m_pausal;
}

void Faktura::setPausal(int pausal)
{
    m_pausal = pausal;
}

FakturaView::FakturaView(int id, const wxString &cislo, const wxString &popis, const wxString &protistrana, double celkem, const wxDateTime &vystaveni, const wxDateTime &splatnost,
                         double uhrazeno, bool platce, int typid)
    : m_id(id), m_cislo(cislo), m_popis(popis), m_protistrana(protistrana), m_celkem(celkem), m_vystaveni(vystaveni), m_splatnost(splatnost), m_uhrazeno(uhrazeno), m_platce(platce),
      m_typid(typid)
{
}

int FakturaView::id() const
{
    return m_id;
}

void FakturaView::setId(int id)
{
    m_id = id;
}

wxString FakturaView::cislo() const
{
    return m_cislo;
}

void FakturaView::setCislo(const wxString &cislo)
{
    m_cislo = cislo;
}

wxString FakturaView::popis() const
{
    return m_popis;
}

void FakturaView::setPopis(const wxString &popis)
{
    m_popis = popis;
}

wxString FakturaView::protistrana() const
{
    return m_protistrana;
}

void FakturaView::setProtistrana(const wxString &protistrana)
{
    m_protistrana = protistrana;
}

double FakturaView::celkem() const
{
    return m_celkem;
}

void FakturaView::setCelkem(double celkem)
{
    m_celkem = celkem;
}

wxDateTime FakturaView::vystaveni() const
{
    return m_vystaveni;
}

void FakturaView::setVystaveni(const wxDateTime &vystaveni)
{
    m_vystaveni = vystaveni;
}

wxDateTime FakturaView::splatnost() const
{
    return m_splatnost;
}

void FakturaView::setSplatnost(const wxDateTime &splatnost)
{
    m_splatnost = splatnost;
}

double FakturaView::uhrazeno() const
{
    return m_uhrazeno;
}

void FakturaView::setUhrazeno(double uhrazeno)
{
    m_uhrazeno = uhrazeno;
}

bool FakturaView::platce() const
{
    return m_platce;
}

void FakturaView::setPlatce(bool platce)
{
    m_platce = platce;
}

int FakturaView::typid() const
{
    return m_typid;
}

void FakturaView::setTypid(int typid)
{
    m_typid = typid;
}
