/***************************************************************
 * Name:      fapolozka.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#include "fapolozka.h"



FaPolozka::FaPolozka(int id, const wxString &popis, const wxString &mj, double pocet, double cenamj, int sazbaid, double dph,
                     double celkem, bool bezdph, int fakturaid, int zavpohid, int zasobaid, bool zaokrouhleni)
    : m_id(id), m_popis(popis), m_mj(mj), m_pocet(pocet), m_cenamj(cenamj), m_sazbaid(sazbaid), m_dph(dph), m_celkem(celkem),
      m_bezdph(bezdph), m_fakturaid(fakturaid), m_zavpohid(zavpohid), m_zasobaid(zasobaid), m_zaokrouhleni(zaokrouhleni)
{
}

bool FaPolozka::isValid() const
{
    return m_id != -1;
}

int FaPolozka::id() const
{
    return m_id;
}

void FaPolozka::setId(int id)
{
    m_id = id;
}

wxString FaPolozka::popis() const
{
    return m_popis;
}

void FaPolozka::setPopis(const wxString &popis)
{
    m_popis = popis;
}

wxString FaPolozka::mj() const
{
    return m_mj;
}

void FaPolozka::setMj(const wxString &mj)
{
    m_mj = mj;
}

double FaPolozka::pocet() const
{
    return m_pocet;
}

void FaPolozka::setPocet(double pocet)
{
    m_pocet = pocet;
}

double FaPolozka::cenamj() const
{
    return m_cenamj;
}

void FaPolozka::setCenamj(double cenamj)
{
    m_cenamj = cenamj;
}

int FaPolozka::sazbaid() const
{
    return m_sazbaid;
}

void FaPolozka::setSazbaid(int sazbaid)
{
    m_sazbaid = sazbaid;
}

double FaPolozka::dph() const
{
    return m_dph;
}

void FaPolozka::setDph(double dph)
{
    m_dph = dph;
}

double FaPolozka::celkem() const
{
    return m_celkem;
}

void FaPolozka::setCelkem(double celkem)
{
    m_celkem = celkem;
}

bool FaPolozka::bezdph() const
{
    return m_bezdph;
}

void FaPolozka::setBezdph(bool bezdph)
{
    m_bezdph = bezdph;
}

int FaPolozka::fakturaid() const
{
    return m_fakturaid;
}

void FaPolozka::setFakturaid(int fakturaid)
{
    m_fakturaid = fakturaid;
}

int FaPolozka::zavpohid() const
{
    return m_zavpohid;
}

void FaPolozka::setZavpohid(int zavpohid)
{
    m_zavpohid = zavpohid;
}

int FaPolozka::zasobaid() const
{
    return m_zasobaid;
}

void FaPolozka::setZasobaid(int zasobaid)
{
    m_zasobaid = zasobaid;
}

bool FaPolozka::operator==(const FaPolozka &polozka) const
{
    return m_id==polozka.m_id && m_popis==polozka.m_popis && m_mj==polozka.m_mj && wxIsSameDouble(m_pocet,polozka.m_pocet) && wxIsSameDouble(m_cenamj,polozka.m_cenamj) &&
            m_sazbaid==polozka.m_sazbaid && wxIsSameDouble(m_dph,polozka.m_dph) && wxIsSameDouble(m_celkem,polozka.m_celkem) && m_bezdph==polozka.m_bezdph && m_fakturaid==polozka.m_fakturaid &&
            m_zavpohid==polozka.m_zavpohid && m_zasobaid==polozka.m_zasobaid;
}

bool FaPolozka::operator!=(const FaPolozka &polozka) const
{
    return m_id!=polozka.m_id || m_popis!=polozka.m_popis || m_mj!=polozka.m_mj || !wxIsSameDouble(m_pocet,polozka.m_pocet) || !wxIsSameDouble(m_cenamj,polozka.m_cenamj) ||
            m_sazbaid!=polozka.m_sazbaid || !wxIsSameDouble(m_dph,polozka.m_dph) || !wxIsSameDouble(m_celkem,polozka.m_celkem) || m_bezdph!=polozka.m_bezdph || m_fakturaid!=polozka.m_fakturaid ||
            m_zavpohid!=polozka.m_zavpohid || m_zasobaid!=polozka.m_zasobaid;
}

bool FaPolozka::zaokrouhleni() const
{
    return m_zaokrouhleni;
}

void FaPolozka::setZaokrouhleni(bool zaokrouhleni)
{
    m_zaokrouhleni = zaokrouhleni;
}
