/***************************************************************
 * Name:      fapolozka.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef FAPOLOZKA_H
#define FAPOLOZKA_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class FaPolozka {
public:
    FaPolozka() : m_id(-1), m_pocet(0.0), m_cenamj(0.0), m_sazbaid(-1), m_dph(0.0), m_celkem(0.0),
    m_bezdph(false), m_fakturaid(-1), m_zavpohid(-1), m_zasobaid(-1), m_zaokrouhleni(false) {}
    FaPolozka(int id, const wxString &popis, const wxString &mj, double pocet, double cenamj, int sazbaid,
              double dph, double celkem, bool bezdph, int fakturaid, int zavpohid, int zasobaid, bool zaokrouhleni);

    bool isValid() const;
    int id() const;
    void setId(int id);
    wxString popis() const;
    void setPopis(const wxString &popis);
    wxString mj() const;
    void setMj(const wxString &mj);
    double pocet() const;
    void setPocet(double pocet);
    double cenamj() const;
    void setCenamj(double cenamj);
    int sazbaid() const;
    void setSazbaid(int sazbaid);
    double dph() const;
    void setDph(double dph);
    double celkem() const;
    void setCelkem(double celkem);
    bool bezdph() const;
    void setBezdph(bool bezdph);
    int fakturaid() const;
    void setFakturaid(int fakturaid);
    int zavpohid() const;
    void setZavpohid(int zavpohid);
    int zasobaid() const;
    void setZasobaid(int zasobaid);
    bool operator==(const FaPolozka&) const;
    bool operator!=(const FaPolozka&) const;
    bool zaokrouhleni() const;
    void setZaokrouhleni(bool zaokrouhleni);
private:
    int m_id;
    wxString m_popis;
    wxString m_mj;
    double m_pocet;
    double m_cenamj;
    int m_sazbaid;
    double m_dph;
    double m_celkem;
    bool m_bezdph;
    int m_fakturaid;
    int m_zavpohid;
    int m_zasobaid;
    bool m_zaokrouhleni;
};

#endif  /* FAPOLOZKA_H */

