/***************************************************************
 * Name:      inventura.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2016
 * License:   GPL3
 **************************************************************/

#ifndef INVENTURA_H
#define INVENTURA_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class Inventura {
public:
    Inventura() : m_id(-1), m_skladid(-1), m_obdobirok(0) {}
    Inventura(int id, const wxDateTime &datum, const wxString &cislo, const wxString &popis, const wxString &provedl, int skladid, int obdobirok);

    bool isValid() const;
    int id() const;
    void setId(int id);
    wxDateTime datum() const;
    void setDatum(const wxDateTime &datum);
    wxString cislo() const;
    void setCislo(const wxString &cislo);
    wxString popis() const;
    void setPopis(const wxString &popis);
    int obdobirok() const;
    void setObdobirok(int obdobirok);
    wxString provedl() const;
    void setProvedl(const wxString &provedl);
    int skladid() const;
    void setSkladid(int skladid);
private:
    int m_id;
    wxDateTime m_datum;
    wxString m_cislo;
    wxString m_popis;
    wxString m_provedl;
    int m_skladid;
    int m_obdobirok;
};

#endif  /* INVENTURA_H */

