/***************************************************************
 * Name:      jizda.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2018
 * License:   GPL3
 **************************************************************/

#ifndef JIZDA_H
#define JIZDA_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class Jizda {
public:
    Jizda() : m_id(-1), m_startkm(0), m_endkm(0), m_vozidloid(-1) {}
    Jizda(int id, const wxDateTime &startcas, const wxDateTime &endcas, int startkm, int endkm, const wxString &cesta, const wxString &ucel, int vozidloid, int ridicid);

    bool isValid() const;
    int id() const;
    void setId(int id);
    wxDateTime startcas() const;
    void setStartcas(const wxDateTime &startcas);
    wxDateTime endcas() const;
    void setEndcas(const wxDateTime &endcas);
    int startkm() const;
    void setStartkm(int startkm);
    int endkm() const;
    void setEndkm(int endkm);
    wxString cesta() const;
    void setCesta(const wxString &cesta);
    wxString ucel() const;
    void setUcel(const wxString &ucel);
    int vozidloid() const;
    void setVozidloid(int vozidloid);
    wxString datum() const;
    int ridicid() const;
    void setRidicid(int ridicid);
private:
    int m_id;
    wxDateTime m_startcas;
    wxDateTime m_endcas;
    int m_startkm;
    int m_endkm;
    wxString m_cesta;
    wxString m_ucel;
    int m_vozidloid;
    int m_ridicid;
};

class JizdaView {
public:
    JizdaView() : m_id(-1), m_km(0), m_nahrada(false) {}
    JizdaView(int id, const wxDateTime &startcas, const wxDateTime &endcas, int km, const wxString &cesta, const wxString &ucel, const wxString &vozidlo,
              const wxString &ridic, bool nahrada);

    bool isValid() const;
    int id() const;
    void setId(int id);
    wxDateTime startcas() const;
    void setStartcas(const wxDateTime &startcas);
    wxDateTime endcas() const;
    void setEndcas(const wxDateTime &endcas);
    int km() const;
    void setKm(int km);
    wxString cesta() const;
    void setCesta(const wxString &cesta);
    wxString ucel() const;
    void setUcel(const wxString &ucel);
    wxString vozidlo() const;
    void setVozidlo(const wxString &vozidlo);
    wxString datum() const;
    wxString ridic() const;
    void setRidic(const wxString &ridic);
    bool nahrada() const;
    void setNahrada(bool nahrada);
private:
    int m_id;
    wxDateTime m_startcas;
    wxDateTime m_endcas;
    int m_km;
    wxString m_cesta;
    wxString m_ucel;
    wxString m_vozidlo;
    wxString m_ridic;
    bool m_nahrada;
};

#endif  /* JIZDA_H */

