/***************************************************************
 * Name:      kontakt.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#include "kontakt.h"

Kontakt::Kontakt(int id, const wxString &nazev, const wxString &jmeno, const wxString &ic, const wxString &dic, const wxString &email, bool publicItem, int adresaid)
    : m_id(id), m_nazev(nazev), m_jmeno(jmeno), m_ic(ic), m_dic(dic), m_email(email), m_publicItem(publicItem), m_adresaid(adresaid)
{
}

bool Kontakt::isValid() const
{
    return m_id != -1;
}

int Kontakt::id() const
{
    return m_id;
}

void Kontakt::setId(int id)
{
    m_id = id;
}

wxString Kontakt::nazev() const
{
    return m_nazev;
}

void Kontakt::setNazev(const wxString &nazev)
{
    m_nazev = nazev;
}

wxString Kontakt::ic() const
{
    return m_ic;
}

void Kontakt::setIc(const wxString &ic)
{
    m_ic = ic;
}

wxString Kontakt::dic() const
{
    return m_dic;
}

void Kontakt::setDic(const wxString &dic)
{
    m_dic = dic;
}

wxString Kontakt::email() const
{
    return m_email;
}

void Kontakt::setEmail(const wxString &email)
{
    m_email = email;
}

bool Kontakt::publicItem() const
{
    return m_publicItem;
}

void Kontakt::setPublicItem(bool publicItem)
{
    m_publicItem = publicItem;
}

int Kontakt::adresaid() const
{
    return m_adresaid;
}

void Kontakt::setAdresaid(int adresaid)
{
    m_adresaid = adresaid;
}

wxString Kontakt::jmeno() const
{
    return m_jmeno;
}

void Kontakt::setJmeno(const wxString &jmeno)
{
    m_jmeno = jmeno;
}

KontaktView::KontaktView(int id, const wxString &nazev, const wxString &jmeno, const wxString &ic, const wxString &adresa)
    : m_id(id), m_nazev(nazev), m_jmeno(jmeno), m_ic(ic), m_adresa(adresa)
{
}

int KontaktView::id() const
{
    return m_id;
}

void KontaktView::setId(int id)
{
    m_id = id;
}

wxString KontaktView::nazev() const
{
    return m_nazev;
}

void KontaktView::setNazev(const wxString &nazev)
{
    m_nazev = nazev;
}

wxString KontaktView::jmeno() const
{
    return m_jmeno;
}

void KontaktView::setJmeno(const wxString &jmeno)
{
    m_jmeno = jmeno;
}

wxString KontaktView::ic() const
{
    return m_ic;
}

void KontaktView::setIc(const wxString &ic)
{
    m_ic = ic;
}

wxString KontaktView::adresa() const
{
    return m_adresa;
}

void KontaktView::setAdresa(const wxString &adresa)
{
    m_adresa = adresa;
}
