/***************************************************************
 * Name:      kontakt.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef KONTAKT_H
#define KONTAKT_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class Kontakt {
public:
    Kontakt() : m_id(-1), m_publicItem(false), m_adresaid(-1) {}
    Kontakt(int id, const wxString &nazev, const wxString &jmeno, const wxString &ic, const wxString &dic, const wxString &email, bool publicItem, int adresaid);

    bool isValid() const;
    int id() const;
    void setId(int id);
    wxString nazev() const;
    void setNazev(const wxString &nazev);
    wxString ic() const;
    void setIc(const wxString &ic);
    wxString dic() const;
    void setDic(const wxString &dic);
    wxString email() const;
    void setEmail(const wxString &email);
    bool publicItem() const;
    void setPublicItem(bool publicItem);
    int adresaid() const;
    void setAdresaid(int adresaid);
    wxString jmeno() const;
    void setJmeno(const wxString &jmeno);
private:
    int m_id;
    wxString m_nazev;
    wxString m_jmeno;
    wxString m_ic;
    wxString m_dic;
    wxString m_email;
    bool m_publicItem;
    int m_adresaid;
};

class KontaktView {
public:
    KontaktView() : m_id(-1) {}
    KontaktView(int id, const wxString &nazev, const wxString &jmeno, const wxString &ic, const wxString &adresa);

    int id() const;
    void setId(int id);
    wxString nazev() const;
    void setNazev(const wxString &nazev);
    wxString jmeno() const;
    void setJmeno(const wxString &jmeno);
    wxString ic() const;
    void setIc(const wxString &ic);
    wxString adresa() const;
    void setAdresa(const wxString &adresa);
private:
    int m_id;
    wxString m_nazev;
    wxString m_jmeno;
    wxString m_ic;
    wxString m_adresa;
};

#endif  /* KONTAKT_H */

