/***************************************************************
 * Name:      kurz.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef KURZ_H
#define KURZ_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class Kurz {
public:
    Kurz() : m_id(-1), m_hodnota(0.0), m_jednotny(false) {}
    Kurz(int id, const wxDateTime &datum, double hodnota, const wxString &kod, bool jednotny);

    bool isValid() const;
    int id() const;
    void setId(int id);
    wxDateTime datum() const;
    void setDatum(const wxDateTime &datum);
    double hodnota() const;
    void setHodnota(double hodnota);
    wxString kod() const;
    void setKod(const wxString &kod);
    bool jednotny() const;
    void setJednotny(bool jednotny);
private:
    int m_id;
    wxDateTime m_datum;
    double m_hodnota;
    wxString m_kod;
    bool m_jednotny;
};

#endif  /* KURZ_H */

