/***************************************************************
 * Name:      majetek.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#include "majetek.h"
#include "model/dbmodel.h"

Majetek::Majetek(int id, const wxString &cislo, const wxString &nazev, const wxString &popis, const wxDateTime &porizen, bool vyrazen,
                 const wxDateTime &datumvyrazeni, double cena, int typ, int odpis, int skupinaid)
    : m_id(id), m_cislo(cislo), m_nazev(nazev), m_popis(popis), m_porizen(porizen), m_vyrazen(vyrazen),
      m_datumvyrazeni(datumvyrazeni), m_cena(cena), m_typ(typ), m_odpis(odpis), m_skupinaid(skupinaid)
{
}

bool Majetek::isValid() const
{
    return m_id != -1;
}

int Majetek::id() const
{
    return m_id;
}

void Majetek::setId(int id)
{
    m_id = id;
}

wxString Majetek::nazev() const
{
    return m_nazev;
}

void Majetek::setNazev(const wxString &nazev)
{
    m_nazev = nazev;
}

wxString Majetek::popis() const
{
    return m_popis;
}

void Majetek::setPopis(const wxString &popis)
{
    m_popis = popis;
}

wxDateTime Majetek::porizen() const
{
    return m_porizen;
}

void Majetek::setPorizen(const wxDateTime &porizen)
{
    m_porizen = porizen;
}

double Majetek::cena() const
{
    return m_cena;
}

void Majetek::setCena(double cena)
{
    m_cena = cena;
}

int Majetek::typ() const
{
    return m_typ;
}

wxString Majetek::typAsString() const
{
    return idbmodel->majetekTypAsString(m_typ);
}

void Majetek::setTyp(int typ)
{
    m_typ = typ;
}

int Majetek::odpis() const
{
    return m_odpis;
}

wxString Majetek::odpisAsString() const
{
    return idbmodel->majetekOdpisAsString(m_odpis);
}

void Majetek::setOdpis(int odpis)
{
    m_odpis = odpis;
}

int Majetek::skupinaid() const
{
    return m_skupinaid;
}

void Majetek::setSkupinaid(int skupinaid)
{
    m_skupinaid = skupinaid;
}

bool Majetek::vyrazen() const
{
    return m_vyrazen;
}

void Majetek::setVyrazen(bool vyrazen)
{
    m_vyrazen = vyrazen;
}

wxDateTime Majetek::datumvyrazeni() const
{
    return m_datumvyrazeni;
}

void Majetek::setDatumvyrazeni(const wxDateTime &datumvyrazeni)
{
    m_datumvyrazeni = datumvyrazeni;
}

wxString Majetek::cislo() const
{
    return m_cislo;
}

void Majetek::setCislo(const wxString &cislo)
{
    m_cislo = cislo;
}

MajetekView::MajetekView(int id, const wxString &cislo, const wxString &nazev, const wxDateTime &porizen, bool vyrazen, double cena, double zustatkovaCena, const wxString &typ, const wxString &odpis)
    : m_id(id), m_cislo(cislo), m_nazev(nazev), m_porizen(porizen), m_vyrazen(vyrazen), m_cena(cena), m_zustatkovaCena(zustatkovaCena), m_typ(typ), m_odpis(odpis)
{
}

int MajetekView::id() const
{
    return m_id;
}

void MajetekView::setId(int id)
{
    m_id = id;
}

wxString MajetekView::cislo() const
{
    return m_cislo;
}

void MajetekView::setCislo(const wxString &cislo)
{
    m_cislo = cislo;
}

wxString MajetekView::nazev() const
{
    return m_nazev;
}

void MajetekView::setNazev(const wxString &nazev)
{
    m_nazev = nazev;
}

wxDateTime MajetekView::porizen() const
{
    return m_porizen;
}

void MajetekView::setPorizen(const wxDateTime &porizen)
{
    m_porizen = porizen;
}

bool MajetekView::vyrazen() const
{
    return m_vyrazen;
}

void MajetekView::setVyrazen(bool vyrazen)
{
    m_vyrazen = vyrazen;
}

double MajetekView::cena() const
{
    return m_cena;
}

void MajetekView::setCena(double cena)
{
    m_cena = cena;
}

double MajetekView::zustatkovaCena() const
{
    return m_zustatkovaCena;
}

void MajetekView::setZustatkovaCena(double zustatkovaCena)
{
    m_zustatkovaCena = zustatkovaCena;
}

wxString MajetekView::typ() const
{
    return m_typ;
}

void MajetekView::setTyp(const wxString &typ)
{
    m_typ = typ;
}

wxString MajetekView::odpis() const
{
    return m_odpis;
}

void MajetekView::setOdpis(const wxString &odpis)
{
    m_odpis = odpis;
}
