/***************************************************************
 * Name:      majetek.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef MAJETEK_H
#define MAJETEK_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class Majetek {
public:
    Majetek() : m_id(-1), m_vyrazen(false), m_cena(0.0), m_typ(0), m_odpis(0), m_skupinaid(-1) {}
    Majetek(int id, const wxString &cislo, const wxString &nazev, const wxString &popis, const wxDateTime &porizen, bool vyrazen,
            const wxDateTime &datumvyrazeni, double cena, int typ, int odpis, int skupinaid);

    bool isValid() const;
    int id() const;
    void setId(int id);
    wxString cislo() const;
    void setCislo(const wxString &cislo);
    wxString nazev() const;
    void setNazev(const wxString &nazev);
    wxString popis() const;
    void setPopis(const wxString &popis);
    wxDateTime porizen() const;
    void setPorizen(const wxDateTime &porizen);
    double cena() const;
    void setCena(double cena);
    int typ() const;
    wxString typAsString() const;
    void setTyp(int typ);
    int odpis() const;
    wxString odpisAsString() const;
    void setOdpis(int odpis);
    int skupinaid() const;
    void setSkupinaid(int skupinaid);
    bool vyrazen() const;
    void setVyrazen(bool vyrazen);
    wxDateTime datumvyrazeni() const;
    void setDatumvyrazeni(const wxDateTime &datumvyrazeni);
private:
    int m_id;
    wxString m_cislo;
    wxString m_nazev;
    wxString m_popis;
    wxDateTime m_porizen;
    bool m_vyrazen;
    wxDateTime m_datumvyrazeni;
    double m_cena;
    int m_typ;
    int m_odpis;
    int m_skupinaid;
};

class MajetekView {
public:
    MajetekView() : m_id(-1), m_vyrazen(false), m_cena(0.0), m_zustatkovaCena(0.0) {}
    MajetekView(int id, const wxString &cislo, const wxString &nazev, const wxDateTime &porizen, bool vyrazen,
                double cena, double zustatkovaCena, const wxString &typ, const wxString &odpis);

    int id() const;
    void setId(int id);
    wxString cislo() const;
    void setCislo(const wxString &cislo);
    wxString nazev() const;
    void setNazev(const wxString &nazev);
    wxDateTime porizen() const;
    void setPorizen(const wxDateTime &porizen);
    bool vyrazen() const;
    void setVyrazen(bool vyrazen);
    double cena() const;
    void setCena(double cena);
    double zustatkovaCena() const;
    void setZustatkovaCena(double zustatkovaCena);
    wxString typ() const;
    void setTyp(const wxString &typ);
    wxString odpis() const;
    void setOdpis(const wxString &odpis);
private:
    int m_id;
    wxString m_cislo;
    wxString m_nazev;
    wxDateTime m_porizen;
    bool m_vyrazen;
    double m_cena;
    double m_zustatkovaCena;
    wxString m_typ;
    wxString m_odpis;
};

#endif  /* MAJETEK_H */

