/***************************************************************
 * Name:      pohybzasob.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2016
 * License:   GPL3
 **************************************************************/

#include "pohybzasob.h"

Pohybzasob::Pohybzasob(int id, const wxDateTime &datum, const wxString &cislo, double pocet, double cenamj, bool prijemka, bool pocatek, int fakturaid,
                       int zasobaid, int obdobirok, bool inventura, int inventuraid)
    : m_id(id), m_datum(datum), m_cislo(cislo), m_pocet(pocet), m_cenamj(cenamj), m_prijemka(prijemka), m_pocatek(pocatek), m_fakturaid(fakturaid),
      m_zasobaid(zasobaid), m_obdobirok(obdobirok), m_inventura(inventura), m_inventuraid(inventuraid)
{
}

bool Pohybzasob::isValid() const
{
    return m_id != -1;
}

int Pohybzasob::id() const
{
    return m_id;
}

void Pohybzasob::setId(int id)
{
    m_id = id;
}

int Pohybzasob::fakturaid() const
{
    return m_fakturaid;
}

void Pohybzasob::setFakturaid(int fakturaid)
{
    m_fakturaid = fakturaid;
}

int Pohybzasob::obdobirok() const
{
    return m_obdobirok;
}

void Pohybzasob::setObdobirok(int obdobirok)
{
    m_obdobirok = obdobirok;
}

wxString Pohybzasob::cislo() const
{
    return m_cislo;
}

void Pohybzasob::setCislo(const wxString &cislo)
{
    m_cislo = cislo;
}

double Pohybzasob::pocet() const
{
    return m_pocet;
}

void Pohybzasob::setPocet(double pocet)
{
    m_pocet = pocet;
}

double Pohybzasob::cenamj() const
{
    return m_cenamj;
}

void Pohybzasob::setCenamj(double cenamj)
{
    m_cenamj = cenamj;
}

bool Pohybzasob::prijemka() const
{
    return m_prijemka;
}

void Pohybzasob::setPrijemka(bool prijemka)
{
    m_prijemka = prijemka;
}

int Pohybzasob::zasobaid() const
{
    return m_zasobaid;
}

void Pohybzasob::setZasobaid(int zasobaid)
{
    m_zasobaid = zasobaid;
}

wxDateTime Pohybzasob::datum() const
{
    return m_datum;
}

void Pohybzasob::setDatum(const wxDateTime &datum)
{
    m_datum = datum;
}

bool Pohybzasob::pocatek() const
{
    return m_pocatek;
}

void Pohybzasob::setPocatek(bool pocatek)
{
    m_pocatek = pocatek;
}

bool Pohybzasob::inventura() const
{
    return m_inventura;
}

void Pohybzasob::setInventura(bool inventura)
{
    m_inventura = inventura;
}

int Pohybzasob::inventuraid() const
{
    return m_inventuraid;
}

void Pohybzasob::setInventuraid(int inventuraid)
{
    m_inventuraid = inventuraid;
}
