/***************************************************************
 * Name:      pohybzasob.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2016
 * License:   GPL3
 **************************************************************/

#ifndef POHYBZASOB_H
#define POHYBZASOB_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class Pohybzasob {
public:
    Pohybzasob() : m_id(-1), m_pocet(0.0), m_cenamj(0.0), m_prijemka(true), m_pocatek(false), m_fakturaid(-1), m_zasobaid(-1), m_obdobirok(0),
    m_inventura(false), m_inventuraid(-1) {}
    Pohybzasob(int id, const wxDateTime &datum, const wxString &cislo, double pocet, double cenamj, bool prijemka, bool pocatek, int fakturaid, int zasobaid, int obdobirok, bool inventura, int inventuraid);

    bool isValid() const;
    int id() const;
    void setId(int id);
    int fakturaid() const;
    void setFakturaid(int fakturaid);
    int obdobirok() const;
    void setObdobirok(int obdobirok);
    wxString cislo() const;
    void setCislo(const wxString &cislo);
    double pocet() const;
    void setPocet(double pocet);
    double cenamj() const;
    void setCenamj(double cenamj);
    bool prijemka() const;
    void setPrijemka(bool prijemka);
    int zasobaid() const;
    void setZasobaid(int zasobaid);
    wxDateTime datum() const;
    void setDatum(const wxDateTime &datum);
    bool pocatek() const;
    void setPocatek(bool pocatek);
    bool inventura() const;
    void setInventura(bool inventura);
    int inventuraid() const;
    void setInventuraid(int inventuraid);
private:
    int m_id;
    wxDateTime m_datum;
    wxString m_cislo;
    double m_pocet;
    double m_cenamj;
    bool m_prijemka;
    bool m_pocatek;
    int m_fakturaid;
    int m_zasobaid;
    int m_obdobirok;
    bool m_inventura;
    int m_inventuraid;
};

#endif  /* POHYBZASOB_H */

