/***************************************************************
 * Name:      pokladna.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef POKLADNA_H
#define POKLADNA_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class Pokladna {
public:
    Pokladna() : m_id(-1), m_zkratka(wxEmptyString), m_menaid(-1) {}
    Pokladna(int id, const wxString &zkratka, const wxString &popis, int menaid);

    bool isValid() const;
    int id() const;
    void setId(int id);
    wxString zkratka() const;
    void setZkratka(const wxString &zkratka);
    wxString popis() const;
    void setPopis(const wxString &popis);
    int menaid() const;
    void setMenaid(int menaid);
private:
    int m_id;
    wxString m_zkratka;
    wxString m_popis;
    int m_menaid;
};

#endif  /* POKLADNA_H */

