/***************************************************************
 * Name:      priznani.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2015
 * License:   GPL3
 **************************************************************/

#ifndef PRIZNANI_H
#define PRIZNANI_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class Priznani {
public:
    Priznani() : m_jmeno(wxEmptyString), m_c_pop(0), m_c_ufo(0), m_c_pracufo(0), m_c_okec(0) {}
    Priznani(const wxString &jmeno, const wxString &prijmeni, const wxString &titul, const wxString &ulice, int c_pop, const wxString &c_orient,
             const wxString &naz_obce, const wxString &psc, const wxString &stat, const wxString &dic, const wxString &email, const wxString &id_dats,
             const wxString &c_telef, int c_ufo, int c_pracufo, int c_okec, const wxString &opr_jmeno, const wxString &opr_prijmeni, const wxString &opr_postaveni,
             const wxDateTime &zast_dat_nar, const wxString &zast_ev_cislo, const wxString &zast_ic, const wxString &zast_jmeno, const wxString &zast_kod,
             const wxString &zast_nazev, const wxString &zast_prijmeni, const wxString &zast_typ);

    bool isValid() const;
    wxString jmeno() const;
    void setJmeno(const wxString &jmeno);
    wxString prijmeni() const;
    void setPrijmeni(const wxString &prijmeni);
    wxString titul() const;
    void setTitul(const wxString &titul);
    wxString ulice() const;
    void setUlice(const wxString &ulice);
    int c_pop() const;
    void setC_pop(int c_pop);
    wxString c_orient() const;
    void setC_orient(const wxString &c_orient);
    wxString naz_obce() const;
    void setNaz_obce(const wxString &naz_obce);
    wxString psc() const;
    void setPsc(const wxString &psc);
    wxString stat() const;
    void setStat(const wxString &stat);
    wxString dic() const;
    void setDic(const wxString &dic);
    wxString email() const;
    void setEmail(const wxString &email);
    wxString id_dats() const;
    void setId_dats(const wxString &id_dats);
    wxString c_telef() const;
    void setC_telef(const wxString &c_telef);
    int c_ufo() const;
    void setC_ufo(int c_ufo);
    int c_pracufo() const;
    void setC_pracufo(int c_pracufo);
    int c_okec() const;
    void setC_okec(int c_okec);
    wxString opr_jmeno() const;
    void setOpr_jmeno(const wxString &opr_jmeno);
    wxString opr_prijmeni() const;
    void setOpr_prijmeni(const wxString &opr_prijmeni);
    wxString opr_postaveni() const;
    void setOpr_postaveni(const wxString &opr_postaveni);
    wxDateTime zast_dat_nar() const;
    void setZast_dat_nar(const wxDateTime &zast_dat_nar);
    wxString zast_ev_cislo() const;
    void setZast_ev_cislo(const wxString &zast_ev_cislo);
    wxString zast_ic() const;
    void setZast_ic(const wxString &zast_ic);
    wxString zast_jmeno() const;
    void setZast_jmeno(const wxString &zast_jmeno);
    wxString zast_kod() const;
    void setZast_kod(const wxString &zast_kod);
    wxString zast_nazev() const;
    void setZast_nazev(const wxString &zast_nazev);
    wxString zast_prijmeni() const;
    void setZast_prijmeni(const wxString &zast_prijmeni);
    wxString zast_typ() const;
    void setZast_typ(const wxString &zast_typ);
private:
    wxString m_jmeno;
    wxString m_prijmeni;
    wxString m_titul;
    wxString m_ulice;
    int m_c_pop;
    wxString m_c_orient;
    wxString m_naz_obce;
    wxString m_psc;
    wxString m_stat;
    wxString m_dic;
    wxString m_email;
    wxString m_id_dats;
    wxString m_c_telef;
    int m_c_ufo;
    int m_c_pracufo;
    int m_c_okec;
    wxString m_opr_jmeno;
    wxString m_opr_prijmeni;
    wxString m_opr_postaveni;
    wxDateTime m_zast_dat_nar;
    wxString m_zast_ev_cislo;
    wxString m_zast_ic;
    wxString m_zast_jmeno;
    wxString m_zast_kod;
    wxString m_zast_nazev;
    wxString m_zast_prijmeni;
    wxString m_zast_typ;
};

#endif  /* PRIZNANI_H */

