/***************************************************************
 * Name:      smtp.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2015
 * License:   GPL3
 **************************************************************/

#ifndef SMTP_H
#define SMTP_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class Smtp {
public:
    Smtp() : m_port(-1), m_ssl(false), m_autentifikace(false) {}
    Smtp(const wxString &server, int port, bool ssl, bool autentifikace, const wxString &username, const wxString &password,
         const wxString &sender, const wxString &subject, const wxString &text);

    bool isValid() const;
    wxString server() const;
    void setServer(const wxString &server);
    int port() const;
    void setPort(int port);
    bool ssl() const;
    void setSsl(bool ssl);
    bool autentifikace() const;
    void setAutentifikace(bool autentifikace);
    wxString username() const;
    void setUsername(const wxString &username);
    wxString password() const;
    void setPassword(const wxString &password);
    wxString sender() const;
    void setSender(const wxString &sender);
    wxString subject() const;
    void setSubject(const wxString &subject);
    wxString text() const;
    void setText(const wxString &text);
private:
    wxString m_server;
    int m_port;
    bool m_ssl;
    bool m_autentifikace;
    wxString m_username;
    wxString m_password;
    wxString m_sender;
    wxString m_subject;
    wxString m_text;
};

#endif  /* SMTP_H */

