/***************************************************************
 * Name:      zasoba.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2016
 * License:   GPL3
 **************************************************************/

#include "zasoba.h"

Zasoba::Zasoba(int id, const wxString &cislo, const wxString &nazev, const wxString &popis, int ocenovani, const wxString &mj,
               double pocet, double celkem, int skladid, double cenamj, bool bezdph, int dph)
    : m_id(id), m_cislo(cislo), m_nazev(nazev), m_popis(popis), m_ocenovani(ocenovani), m_mj(mj), m_pocet(pocet), m_celkem(celkem),
      m_skladid(skladid), m_cenamj(cenamj), m_bezdph(bezdph), m_dph(dph)
{
}

bool Zasoba::isValid() const
{
    return m_id != -1;
}

int Zasoba::id() const
{
    return m_id;
}

void Zasoba::setId(int id)
{
    m_id = id;
}

wxString Zasoba::cislo() const
{
    return m_cislo;
}

void Zasoba::setCislo(const wxString &cislo)
{
    m_cislo = cislo;
}

wxString Zasoba::nazev() const
{
    return m_nazev;
}

void Zasoba::setNazev(const wxString &nazev)
{
    m_nazev = nazev;
}

wxString Zasoba::popis() const
{
    return m_popis;
}

void Zasoba::setPopis(const wxString &popis)
{
    m_popis = popis;
}

int Zasoba::ocenovani() const
{
    return m_ocenovani;
}

void Zasoba::setOcenovani(int ocenovani)
{
    m_ocenovani = ocenovani;
}

wxString Zasoba::mj() const
{
    return m_mj;
}

void Zasoba::setMj(const wxString &mj)
{
    m_mj = mj;
}

double Zasoba::pocet() const
{
    return m_pocet;
}

void Zasoba::setPocet(double pocet)
{
    m_pocet = pocet;
}

double Zasoba::celkem() const
{
    return m_celkem;
}

void Zasoba::setCelkem(double celkem)
{
    m_celkem = celkem;
}

int Zasoba::skladid() const
{
    return m_skladid;
}

void Zasoba::setSkladid(int skladid)
{
    m_skladid = skladid;
}

double Zasoba::cenamj() const
{
    return m_cenamj;
}

void Zasoba::setCenamj(double cenamj)
{
    m_cenamj = cenamj;
}

bool Zasoba::bezdph() const
{
    return m_bezdph;
}

void Zasoba::setBezdph(bool bezdph)
{
    m_bezdph = bezdph;
}

int Zasoba::dph() const
{
    return m_dph;
}

void Zasoba::setDph(int dph)
{
    m_dph = dph;
}

ZasobaView::ZasobaView(int id, const wxString &cislo, const wxString &nazev, double pocet, double celkem, const wxString &sklad)
    : m_id(id), m_cislo(cislo), m_nazev(nazev), m_pocet(pocet), m_celkem(celkem), m_sklad(sklad)
{
}

int ZasobaView::id() const
{
    return m_id;
}

void ZasobaView::setId(int id)
{
    m_id = id;
}

wxString ZasobaView::cislo() const
{
    return m_cislo;
}

void ZasobaView::setCislo(const wxString &cislo)
{
    m_cislo = cislo;
}

wxString ZasobaView::nazev() const
{
    return m_nazev;
}

void ZasobaView::setNazev(const wxString &nazev)
{
    m_nazev = nazev;
}

double ZasobaView::pocet() const
{
    return m_pocet;
}

void ZasobaView::setPocet(double pocet)
{
    m_pocet = pocet;
}

double ZasobaView::celkem() const
{
    return m_celkem;
}

void ZasobaView::setCelkem(double celkem)
{
    m_celkem = celkem;
}

wxString ZasobaView::sklad() const
{
    return m_sklad;
}

void ZasobaView::setSklad(const wxString &sklad)
{
    m_sklad = sklad;
}
