/***************************************************************
 * Name:      zavpoh.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#include "zavpoh.h"

ZavPoh::ZavPoh(int id, int protistranaid, const wxString &popis, double celkem, const wxString &cislo, const wxString &vs,
               int uhradaid, int pokladnaid, int bankaid, int menaid, int predkontaceid, int obdobirok, bool zavazek,
               bool platce, const wxDateTime &vystaveni, const wxDateTime &duzp, const wxDateTime &dppd, const wxDateTime &splatnost, int dphdruhid,
               double kurz, int pausal)
    : m_id(id), m_protistranaid(protistranaid), m_popis(popis), m_celkem(celkem), m_cislo(cislo), m_vs(vs),
      m_uhradaid(uhradaid), m_pokladnaid(pokladnaid), m_bankaid(bankaid), m_menaid(menaid),
      m_predkontaceid(predkontaceid), m_obdobirok(obdobirok), m_zavazek(zavazek), m_platce(platce), m_vystaveni(vystaveni),
      m_duzp(duzp), m_dppd(dppd), m_splatnost(splatnost), m_dphdruhid(dphdruhid), m_kurz(kurz), m_pausal(pausal)
{
}

bool ZavPoh::isValid() const
{
    return m_id != -1;
}

int ZavPoh::id() const
{
    return m_id;
}

void ZavPoh::setId(int id)
{
    m_id = id;
}
int ZavPoh::protistranaid() const
{
    return m_protistranaid;
}

void ZavPoh::setProtistranaid(int protistranaid)
{
    m_protistranaid = protistranaid;
}

wxString ZavPoh::popis() const
{
    return m_popis;
}

void ZavPoh::setPopis(const wxString &popis)
{
    m_popis = popis;
}

double ZavPoh::celkem() const
{
    return m_celkem;
}

void ZavPoh::setCelkem(double celkem)
{
    m_celkem = celkem;
}

wxString ZavPoh::cislo() const
{
    return m_cislo;
}

void ZavPoh::setCislo(const wxString &cislo)
{
    m_cislo = cislo;
}

wxString ZavPoh::vs() const
{
    return m_vs;
}

void ZavPoh::setVs(const wxString &vs)
{
    m_vs = vs;
}

int ZavPoh::uhradaid() const
{
    return m_uhradaid;
}

void ZavPoh::setUhradaid(int uhradaid)
{
    m_uhradaid = uhradaid;
}

int ZavPoh::pokladnaid() const
{
    return m_pokladnaid;
}

void ZavPoh::setPokladnaid(int pokladnaid)
{
    m_pokladnaid = pokladnaid;
}

int ZavPoh::bankaid() const
{
    return m_bankaid;
}

void ZavPoh::setBankaid(int bankaid)
{
    m_bankaid = bankaid;
}

int ZavPoh::menaid() const
{
    return m_menaid;
}

void ZavPoh::setMenaid(int menaid)
{
    m_menaid = menaid;
}

int ZavPoh::predkontaceid() const
{
    return m_predkontaceid;
}

void ZavPoh::setPredkontaceid(int predkontaceid)
{
    m_predkontaceid = predkontaceid;
}

int ZavPoh::obdobirok() const
{
    return m_obdobirok;
}

void ZavPoh::setObdobirok(int obdobirok)
{
    m_obdobirok = obdobirok;
}

bool ZavPoh::zavazek() const
{
    return m_zavazek;
}

void ZavPoh::setZavazek(bool zavazek)
{
    m_zavazek = zavazek;
}

bool ZavPoh::platce() const
{
    return m_platce;
}

void ZavPoh::setPlatce(bool platce)
{
    m_platce = platce;
}

wxDateTime ZavPoh::vystaveni() const
{
    return m_vystaveni;
}

void ZavPoh::setVystaveni(const wxDateTime &vystaveni)
{
    m_vystaveni = vystaveni;
}

wxDateTime ZavPoh::duzp() const
{
    return m_duzp;
}

void ZavPoh::setDuzp(const wxDateTime &duzp)
{
    m_duzp = duzp;
}

wxDateTime ZavPoh::splatnost() const
{
    return m_splatnost;
}

void ZavPoh::setSplatnost(const wxDateTime &splatnost)
{
    m_splatnost = splatnost;
}

wxDateTime ZavPoh::dppd() const
{
    return m_dppd;
}

void ZavPoh::setDppd(const wxDateTime &dppd)
{
    m_dppd = dppd;
}

int ZavPoh::dphdruhid() const
{
    return m_dphdruhid;
}

void ZavPoh::setDphdruhid(int dphdruhid)
{
    m_dphdruhid = dphdruhid;
}

double ZavPoh::kurz() const
{
    return m_kurz;
}

void ZavPoh::setKurz(double kurz)
{
    m_kurz = kurz;
}

int ZavPoh::pausal() const
{
    return m_pausal;
}

void ZavPoh::setPausal(int pausal)
{
    m_pausal = pausal;
}

ZavPohView::ZavPohView(int id, const wxString &cislo, const wxString &popis, const wxString &protistrana, double celkem, const wxDateTime &vystaveni, const wxDateTime &splatnost, double uhrazeno)
    : m_id(id), m_cislo(cislo), m_popis(popis), m_protistrana(protistrana), m_celkem(celkem), m_vystaveni(vystaveni), m_splatnost(splatnost), m_uhrazeno(uhrazeno)
{
}

int ZavPohView::id() const
{
    return m_id;
}

void ZavPohView::setId(int id)
{
    m_id = id;
}

wxString ZavPohView::cislo() const
{
    return m_cislo;
}

void ZavPohView::setCislo(const wxString &cislo)
{
    m_cislo = cislo;
}

wxString ZavPohView::popis() const
{
    return m_popis;
}

void ZavPohView::setPopis(const wxString &popis)
{
    m_popis = popis;
}

wxString ZavPohView::protistrana() const
{
    return m_protistrana;
}

void ZavPohView::setProtistrana(const wxString &protistrana)
{
    m_protistrana = protistrana;
}

double ZavPohView::celkem() const
{
    return m_celkem;
}

void ZavPohView::setCelkem(double celkem)
{
    m_celkem = celkem;
}

wxDateTime ZavPohView::vystaveni() const
{
    return m_vystaveni;
}

void ZavPohView::setVystaveni(const wxDateTime &vystaveni)
{
    m_vystaveni = vystaveni;
}

wxDateTime ZavPohView::splatnost() const
{
    return m_splatnost;
}

void ZavPohView::setSplatnost(const wxDateTime &splatnost)
{
    m_splatnost = splatnost;
}

double ZavPohView::uhrazeno() const
{
    return m_uhrazeno;
}

void ZavPohView::setUhrazeno(double uhrazeno)
{
    m_uhrazeno = uhrazeno;
}
