/***************************************************************
 * Name:      tableprint.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef TABLEPRINT_H
#define TABLEPRINT_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include "dxprint.h"
#include "table.h"

class TablePrint
{
public:
    TablePrint(wxWindow *parent, const wxString &title);

    void Preview();
    void Print();
    virtual void createTable() {}
protected:
    Table *m_table;
    wxString m_headerLeftText;
    wxString m_headerCenterText;
    wxString m_headerRightText;
    bool m_headerLine;
    int m_marginLeft;
    int m_marginRight;
    int m_marginTop;
    int m_marginBottom;
private:
    wxWindow *m_parent;
    wxString m_title;

    wxString printTitle() const;
};

class TablePrintout: public dxPrint
{
public:
    explicit TablePrintout(const wxString &title);

    bool OnPrintPage(int page) override;
    void setTable(Table *table);
protected:
    Table *m_table;
private:
    void printPage(wxDC *dc, int page, double mmToLogical);
    void drawCell(TableCell cell, wxDC *dc, double x, double y, double cw, double mmToLogical);
    void drawGrid(wxDC *dc, double x, double y, TableRowsPerPage rows, double mmToLogical);
};

#endif  /* TABLEPRINT_H */

