/***************************************************************
 * Name:      dxutils.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef DXUTILS_H
#define DXUTILS_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#define round4(x) round(x * 10000) / 10000

class dxutils
{
public:
    dxutils();

    static dxutils &instance();
    static bool checkIC(const wxString &ic);
    static wxString getUniqueDbName();
    static wxString getUniqueXmlPath(const wxString &base);
    static wxString enquotes(const wxString &text, const wxString &delim);
    static void correctEmptyFileExt(const wxString &ext, wxString &fileName);
    static wxString slovy(wxString cislo);
    static int pocetCislic(int c);
    static int mmToPx(double mm, wxDC *dc, bool toScreen);
    static wxDateTime todayForObdobi();
    static wxString fontToString(const wxFont &font);
    static wxFont fontFromString(const wxString &fontstr);
    // return cenamj bez dph
    static double cenamj(double cena, bool bezdph, int sazbaid);
    static wxString ctvrtletiString(int ctvrtleti);
    static wxString mesicString(int mesic);
    static wxDateTime::Month ctvrtletiMesicStart(int ctvrtleti);
    static wxDateTime::Month ctvrtletiMesicEnd(int ctvrtleti);
    static void kurzyDownload(const wxDateTime &datum);
    static bool jednotnekurzyDownload(int rok);
    static bool haveCiselniky();
    static bool downloadCiselniky();
    static bool downloadFileFromNet(const wxString &path, const wxString &folder, const wxString &filename);
    static size_t pocetZnaku(const wxString &text, char znak);
    static bool zalohaDat(wxString path);
    static wxString fillByZeroes(const wxString &text, size_t len);
    static wxString normalizeFilename(wxString filename);
    static wxString toHtmlBr(wxString text);
    static bool isSameDouble(double a, double b, double absEpsilon=1e-12, double relEpsilon=1e-8);
    static int versionToInt(const wxString &version);
    static wxString fromStdString(const std::string &str);
    static std::string toStdString(const wxString &str);
    static double toCDouble(const std::string &str);
    static wxString availableVersion();
    static wxIcon GreyScaledIcon(const char * const *xpm);
    static int modulo97(const wxString &kod, const wxString &cislouctu);
    static wxString iban(const wxString &kod, const wxString &cislouctu);
};

#endif // DXUTILS_H
